<?php
/**
 * footer.php
 *---------------------------
 * The template for displaying the footer.
 *
 */

// Footer Color Scheme
$footer_scheme = better_get_option( 'footer_scheme' );

// Show Widgets
$show_widgets = better_get_option( 'footer_widgets' ) == 'show';

// Show Social Icons
$show_socials = better_get_option( 'footer_social' ) == 'show';

// Prepare copyright Text
$copy_text = str_replace(
	array(
		'%%year%%',
		'%%date%%',
		'%%title%%',
		'%%sitename%%',
		'%%siteurl%%',
	),
	array(
		date('Y'),
		date('Y'),
		get_bloginfo( 'name' ),
		get_bloginfo( 'name' ),
		get_home_url()
	),
	better_get_option( 'footer_copy' )
);

?>



</div><!-- .content-wrap -->
</main><!-- main -->
</div><!-- .main-wrap -->
<?php

// Footer Instagram
if( better_get_option( 'footer_instagram' ) != '' ){
	// Location: "views/footer/_social-feed.php"
	better_get_view( 'footer', '_social-feed' );
}

?>

<footer id="site-footer" class="site-footer color-scheme-<?php echo esc_attr( $footer_scheme ); ?>">
	<?php

	// Footer Widgets
	if( $show_widgets ){
		// Location: "views/footer/_widgets.php"
		better_get_view( 'footer', '_widgets' );
	}

	?><div class="copy-footer">
		<div class="content-wrap">
			<div class="container">
				<div class="row">
					<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12">
						<?php echo esc_html( $copy_text ); ?>
					</div>
					<div class="col-lg-8 col-md-8 col-sm-8 col-xs-12">
						<?php

						// Footer Socials
						if( $show_socials ){
							// Location: "views/footer/_social-icons.php"
							better_get_view( 'footer', '_social-icons' );
						}

						?>
					</div>
				</div>
			</div>
		</div>
	</div>
</footer><!-- .footer -->

<?php if( better_get_option( 'back_to_top' ) == 'show' ){ ?>
<span class="back-top <?php echo esc_attr( $footer_scheme); ?>"><i class="fa fa-arrow-circle-up"></i></span>
<?php }?>

<?php wp_footer(); // WordPress hook for loading JavaScript, toolbar, and other things in the footer. ?>

</body>
</html>