<?php
/**
 * Class Patricia_Last_Versions_Compatibility
 */
class Patricia_Last_Versions_Compatibility{

    /**
     * Contains main theme log option ID
     *
     * @var string
     */
    private $option_id = 'better-studio-patricia-theme';


    function __construct(){
        add_action( 'better-framework/after_setup', array( $this, 'do_compatibility' ), 1 );
    }


    /**
     * Logs theme versions and make theme compatible with latest versions
     */
    function do_compatibility(){

        $theme_info = get_option( $this->option_id );
        $active_version = BF()->theme()->get( 'Version' );
        $must_update = false;

        // First installation
        if( $theme_info === false ){

            // Save current version as active version
            $theme_info['active'] = $active_version;

            // Empty history
            $theme_info['history'] = array();

            // Compatibility
            $theme_info['comp'] = array();

            $must_update = true;

        }
        // Check version
        else{

//            if( ! in_array( '2.0', $theme_info['comp'] ) && 2.0 >= floatval( $active_version ) ){
//
//                //Do something
//
//                $theme_info['history'][] = '2.0';
//
//                $theme_info['comp'][] = '2.0';
//
//                $must_update = true;
//
//            }

        }

        // Update log
        if( $must_update ){
            update_option( $this->option_id, $theme_info, true );
        }

    } // do_compatibility

} // Patricia_Last_Versions_Compatibility