
var Better_Translation = (function($) {
    "use strict";

    // module
    return {

        init: function(){

            // Setup Translations Field
            this.set_translations_field();

            // Setup send translation
            this.set_send_translations();

        },


        /**
         * Translations Field
         ******************************************/
        set_translations_field: function(){

            $(document).on( "change", "#better-framework-pre-translations", function(e){

                e.preventDefault();

                Better_Framework.panel_loader("loading");

                if( ! confirm( better_translation_loc.confirm ) ){
                    Better_Framework.panel_loader( "hide" );
                    $("#better-framework-pre-translations").val(better_translation_loc.current_lang)
                    return false;
                }

                $.ajax({
                    type: "POST",
                    dataType: "json",
                    url: better_translation_loc.ajax_url,
                    data:{
                        action   : "bf_ajax",
                        reqID    : "ajax_action",
                        type     : "panel",
                        panelID  : $("#bf-panel-id").val(),
                        nonce    : better_translation_loc.nonce,
                        callback : better_translation_loc.callback,
                        args     : {
                            lang: $("#better-framework-pre-translations").find(":selected").val(),
                            current_lang: better_translation_loc.lang
                        }
                    },
                    success: function(data, textStatus, XMLHttpRequest){

                        if( data.status == "succeed" ) {

                            Better_Framework.panel_loader("succeed", data.msg );

                        } else {
                            Better_Framework.panel_loader("error",data.msg);
                            $("#better-framework-pre-translations").val(better_translation_loc.current_lang)
                        }

                        if( typeof data.refresh != "undefined" && data.refresh ){

                            setTimeout( function(){
                                location.reload();
                            }, 1000);

                        }
                    },
                    error: function(MLHttpRequest, textStatus, errorThrown){
                        Better_Framework.panel_loader("error");
                    }
                });

            });

        },

        /**
         * Translations Send
         ******************************************/
        set_send_translations: function(){

            $(document).on( "click", "#better-translation-send", function(e){

                e.preventDefault();

                var $lang_name = $('#better-translation-lang-name'),
                    $country_name = $('#better-translation-country-name'),
                    $your_name = $('#better-translation-your-name'),
                    $your_desc = $('#better-translation-your-desc');


                // Language name is required
                if( $lang_name.val() == "" ){

                    $lang_name.focus();
                    return false;

                }

                // country name is required
                if( $country_name.val() == "" ){

                    $country_name.focus();
                    return false;

                }

                Better_Framework.panel_loader("loading");

                $.ajax({
                    type: "POST",
                    dataType: "json",
                    url: better_translation_loc.ajax_url,
                    data:{
                        action   : "bf_ajax",
                        reqID    : "ajax_action",
                        type     : "panel",
                        panelID  : $("#bf-panel-id").val(),
                        nonce    : better_translation_loc.nonce,
                        callback : better_translation_loc.callback_send_translation,
                        args     : {
                            lang_name: $lang_name.val(),
                            country_name: $country_name.val(),
                            your_name: $your_name.val(),
                            your_desc: $your_desc.val()
                        }
                    },
                    success: function(data, textStatus, XMLHttpRequest){

                        if( data.status == "succeed" ) {
                            Better_Framework.panel_loader("succeed", data.msg );

                            setTimeout(function(){

                                $('.better-translation-send .bst-form').remove();
                                $('.better-translation-send .better-translation-sent').addClass('was-sent');

                            }, 1000);

                        } else {
                            Better_Framework.panel_loader("error", data.msg);
                        }

                        if( typeof data.refresh != "undefined" && data.refresh ){

                            location.reload();

                        }
                    },
                    error: function(MLHttpRequest, textStatus, errorThrown){
                        Better_Framework.panel_loader("error");
                    }
                });

            });

        }

    };

})(jQuery);

// load when ready
jQuery(function($) {

    Better_Translation.init();

});
