<?php
/**
 * menu.php
 *---------------------------
 * Registers options for menus
 *
 */

add_filter( 'better-framework/menu/options', 'patricia_menu_options', 100 );

if( ! function_exists( 'patricia_menu_options' ) ){
	/**
	 * Filter callback: Custom menu fields
	 */
	function patricia_menu_options( $fields ){

		$_fields = array(
			'mega_menu_heading' =>  array(
				'id'            =>  'mega_menu_heading',
				'type'          =>  'group',
				'name'          =>  __( 'Mega & Sub Menu', 'better-studio' ),
				'parent_only'   =>  false,
				'state'         =>  'close',
			),
			'mega_menu' => array(
				'id'            =>  'mega_menu',
				'panel-id'      =>  better_theme_panel_id(),
				'name'          =>  __( 'Mega Menu Type', 'better-studio' ),
				'type'          =>  'select',
				'class'         =>  '',
				'std'           =>  'disabled',
				'default_text'  =>  'Chose one',
				'list_style'    =>  'grid-2-column', // single-row, grid-2-column, grid-3-column
				'width'         =>  'wide',
				'parent_only'   =>  false,
				'options'       =>  array(
					'disabled'          =>  __( 'Disabled', 'better-studio' ),
					'link-list'         =>  __( 'Horizontal Links', 'better-studio' ) ,
					'link-2-column'     =>  __( '2 Column Links', 'better-studio' ) ,
					'link-3-column'     =>  __( '3 Column Links', 'better-studio' ) ,
					'link-4-column'     =>  __( '4 Column Links', 'better-studio' ) ,
					'grid-posts'        =>  __( 'Latest Posts With Image', 'better-studio' ) ,
				),

			),
			'drop_menu_anim' => array(
				'id'            =>  'drop_menu_anim',
				'panel-id'      =>  better_theme_panel_id(),
				'name'          =>  __( 'Mega & Sub menu Animation', 'better-studio' ),
				'type'          =>  'select',
				'class'         =>  '',
				'std'           =>  'fade',
				'width'         =>  'thin',
				'parent_only'   =>  false,
				'options'       =>  array(

					'none'          => __( 'No Animation', 'better-studio' ),
					'random'        => __( 'Random Animation', 'better-studio' ),

					array(
						'label' => __( 'Fading', 'better-studio' ),
						'options'   => array(
							'fade'          => __( 'Simple Fade', 'better-studio' ),
							'slide-fade'    => __( 'Fading Slide', 'better-studio' ),
						),
					),

					array(
						'label'     => __( 'Attention Seekers', 'better-studio' ),
						'options'   => array(
							'bounce'            =>  __( 'Bounce', 'better-studio' ),
							'tada'              =>  __( 'Tada', 'better-studio' ),
							'shake'             =>  __( 'Shake', 'better-studio' ),
							'swing'             =>  __( 'Swing', 'better-studio' ),
							'wobble'            =>  __( 'Wobble', 'better-studio' ),
							'buzz'              =>  __( 'Buzz', 'better-studio' ),
						),
					),

					array(
						'label'     => __( 'Sliding', 'better-studio' ),
						'options'   => array(
							'slide-top-in'      =>  __( 'Slide Top In', 'better-studio' ),
							'slide-bottom-in'   =>  __( 'Slide Bottom In', 'better-studio' ),
							'slide-left-in'     =>  __( 'Slide Left In', 'better-studio' ),
							'slide-right-in'    =>  __( 'Slide Right In', 'better-studio' ),
						),
					),

					array(
						'label'     => __( 'Flippers', 'better-studio' ),
						'options'   => array(
							'filip-in-x'        =>  __( 'Filip In X', 'better-studio' ),
							'filip-in-y'        =>  __( 'Filip In Y', 'better-studio' ),
						),
					),

				),
			),

			'mega_menu_cat' => array(
				'id'            =>  'mega_menu_cat',
				'panel-id'      =>  better_theme_panel_id(),
				'name'          =>  __( 'Mega Menu Category', 'better-studio' ),
				'type'          =>  'select',
				'class'         =>  '',
				'std'           =>  'auto',
				'width'         =>  'thin',
				'parent_only'   =>  false,
				'options'       =>  array(
					'auto'          => __( 'Auto Detect', 'better-studio' ),
					array(
						'label'     => __( 'Categories', 'better-studio' ),
						'options'   => array(
							'category_walker' => 'category_walker'
						),
					),
				),
			),


			// Icon Options
			'mega_icon_settings'=>array(
				'id'            =>  'mega_icon_settings',
				'name'          =>  __( 'Menu Icon', 'better-studio' ),
				'type'          =>  'group',
				'state'         =>  'close',
				'parent_only'   =>  false,
			),
			'menu_icon'     =>  array(
				'id'            =>  'menu_icon',
				'panel-id'      =>  better_theme_panel_id(),
				'name'          =>  __( 'Icon', 'better-studio' ),
				'type'          =>  'icon_select',
				'class'         =>  '',
				'options'       =>  array( 'fontawesome' ),
				'std'           =>  'none',
				'default_text'  =>  'Chose an Icon',
				'width'         =>  'thin',
				'list_style'    =>  'grid-3-column',
				'parent_only'   =>  false,
			),
			'hide_menu_title' =>array(
				'id'            =>  'hide_menu_title',
				'panel-id'      =>  better_theme_panel_id(),
				'name'          =>  __( 'Show Only Icon?', 'better-studio' ),
				'on-label'      =>  __( 'Yes', 'better-studio' ),
				'off-label'     =>  __( 'No', 'better-studio' ),
				'type'          =>  'switch',
				'class'         =>  '',
				'std'           =>  '0',
				'width'         =>  'thin',
				'parent_only'   =>  false,
			),

			// BG Options
			'menu_bg_settings' =>array(
				'id'            =>  'menu_bg_settings',
				'name'          =>  __( 'Sub Menu Background & Padding', 'better-studio' ),
				'desc'          =>  __( 'This options only will affects sub menu and mega menus.', 'better-studio' ),
				'type'          =>  'group',
				'state'         =>  'close',
				'parent_only'   =>  false,
			),
			'menu_bg_image' => array(
				'id'            =>  'menu_bg_image',
				'panel-id'      =>  better_theme_panel_id(),
				'name'          =>  __( 'Background Image', 'better-studio' ),
				'type'          =>  'background_image',
				'class'         =>  '',
				'std'           =>  '',
				'save-std'      =>  false,
				'width'         =>  'wide',
				'parent_only'   =>  false,
				'css'           =>  array(
					array(
						'selector'  => array(
							'%%id%% > .mega-menu',
							'%%id%% > .sub-menu',
						),
						'prop'      => array( 'background-image' ),
						'type'      => 'background-image'
					),
				),

			),
			'menu_bg_color' => array(
				'id'            =>  'menu_bg_color',
				'panel-id'      =>  better_theme_panel_id(),
				'name'          =>  __( 'Background Color', 'better-studio' ),
				'type'          =>  'color',
				'class'         =>  '',
				'std'           =>  '',
				'save-std'      =>  false,
				'width'         =>  'wide',
				'parent_only'   =>  false,
				'css'           =>  array(
					array(
						'selector'  => array(
							'%%id%% > .mega-menu',
							'%%id%% > .sub-menu',
						),
						'prop'      => array( 'background-color' )
					),
				),

			),
			'menu_min_height' => array(
				'id'            =>  'menu_min_height',
				'panel-id'      =>  better_theme_panel_id(),
				'name'          =>  __( 'Min Height', 'better-studio' ),
				'type'          =>  'text',
				'class'         =>  '',
				'std'           =>  '',
				'suffix'        =>  'px',
				'save-std'      =>  false,
				'width'         =>  'thin',
				'parent_only'   =>  false,
				'css'           =>  array(
					array(
						'selector'  => array(
							'.main-menu-container %%id%% > .mega-menu',
							'.main-menu-container %%id%% > .sub-menu',
						),
						'prop'      => array( 'min-height' => '%%value%%px' )
					),
				),

			),
			'menu_padding' => array(
				'id'            =>  'menu_padding',
				'panel-id'      =>  better_theme_panel_id(),
				'name'          =>  __( 'Padding', 'better-studio' ),
				'type'          =>  'text',
				'class'         =>  '',
				'std'           =>  '',
				'save-std'      =>  false,
				'width'         =>  'thin',
				'parent_only'   =>  false,
				'css'           =>  array(
					array(
						'selector'  => array(
							'.desktop-menu-container %%id%% > .mega-menu',
							'.desktop-menu-container %%id%% > .sub-menu',
						),
						'prop'      => array( 'padding' => '%%value%%' )
					),
				),
			),

			// Responsive Options
			'menu_resp_settings' =>array(
				'id'            =>  'menu_resp_settings',
				'name'          =>  __( 'Responsive Options', 'better-studio' ),
				'desc'          =>  __( 'You can show or hide menu items in multiple devices.', 'better-studio' ),
				'type'          =>  'group',
				'state'         =>  'close',
				'parent_only'   =>  false,
			),
			'resp_desktop' => array(
				'id'            =>  'resp_desktop',
				'panel-id'      =>  better_theme_panel_id(),
				'name'          =>  __( 'Show On Desktop', 'better-studio' ),
				'type'          =>  'select',
				'std'           =>  'show',
				'class'         =>  '',
				'width'         =>  'wide',
				'parent_only'   =>  false,
				'options'       =>  array(
					'show'          =>  __( 'Show', 'better-studio' ),
					'hide'          =>  __( 'Hide', 'better-studio' ),
				)
			),
			'resp_tablet' => array(
				'id'            =>  'resp_tablet',
				'panel-id'      =>  better_theme_panel_id(),
				'name'          =>  __( 'Show On Tablet', 'better-studio' ),
				'type'          =>  'select',
				'std'           =>  'show',
				'class'         =>  '',
				'width'         =>  'wide',
				'parent_only'   =>  false,
				'options'       =>  array(
					'show'          =>  __( 'Show', 'better-studio' ),
					'hide'          =>  __( 'Hide', 'better-studio' ),
				)
			),
			'resp_mobile' => array(
				'id'            =>  'resp_mobile',
				'panel-id'      =>  better_theme_panel_id(),
				'name'          =>  __( 'Show On Mobile', 'better-studio' ),
				'type'          =>  'select',
				'std'           =>  'show',
				'class'         =>  '',
				'width'         =>  'wide',
				'parent_only'   =>  false,
				'options'       =>  array(
					'show'          =>  __( 'Show', 'better-studio' ),
					'hide'          =>  __( 'Hide', 'better-studio' ),
				)
			),
		);

		return array_merge( $fields , $_fields );

	} // patricia_menu_options
} // if