<?php
/**
 * translation.php
 *---------------------------
 * Registers options for translation panel
 *
 */

add_filter( 'better-translation/translations/fields', 'patricia_translation_options' );

if( ! function_exists( 'patricia_translation_options' ) ){
	/**
	 * Callback: Ads theme translation words to BetterTranslation
	 *
	 * Filter: better-translation/translations/fields
	 *
	 * @param $fields
	 *
	 * @return array
	 */
	function patricia_translation_options( $fields ){

		$fields['texts'] = array(
			'name'              =>  __( 'Texts' , 'better-studio' ),
			'id'                =>  'general_tab',
			'type'              =>  'tab',
			'icon'              =>  'bsai-global',
			'margin-top'        =>  '20',
		);

		$fields[] = array(
			'name'              =>  __( 'Search..."', 'better-studio' ),
			'id'                =>  'search_dot',
			'std'               =>  'Search...',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Search for', 'better-studio' ),
			'id'                =>  'search_for',
			'std'               =>  'Search for:',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Search', 'better-studio' ),
			'id'                =>  'search',
			'std'               =>  'Search',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Select a menu for "Main Navigation"', 'better-studio' ),
			'id'                =>  'select_main_nav',
			'std'               =>  'Select a menu for "Main Navigation"',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Select a menu for "Topbar Navigation"', 'better-studio' ),
			'id'                =>  'select_top_nav',
			'std'               =>  'Select a menu for "Topbar Navigation"',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'You might also like', 'better-studio' ),
			'id'                =>  'related_heading',
			'std'               =>  'You might also like',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Continue Reading…', 'better-studio' ),
			'id'                =>  'continue_reading',
			'std'               =>  'Read More...',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);

		//
		// Archives
		//
		$fields[] = array(
			'name'              =>  __( 'Category Archive Page Title', 'better-studio' ),
			'id'                =>  'archive_cat_title',
			'std'               =>  'Browsing Category',
			'type'              =>  'text',
			'desc'              =>  __( '%s can be replaced with category title.', 'better-studio' ),
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Tag Archive Page Title', 'better-studio' ),
			'id'                =>  'archive_tag_title',
			'std'               =>  'Browsing Tag',
			'type'              =>  'text',
			'desc'              =>  __( '%s will be replaced with tag title.', 'better-studio' ),
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Custom Taxonomy Archive Page Title', 'better-studio' ),
			'id'                =>  'archive_tax_title',
			'std'               =>  'Browsing',
			'type'              =>  'text',
			'desc'              =>  __( '%s will be replaced with term title.', 'better-studio' ),
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Search Archive Page Title', 'better-studio' ),
			'id'                =>  'archive_search_title',
			'std'               =>  'Search Results',
			'type'              =>  'text',
			'desc'              =>  __( 'First %s will be replaced with search keyword and second %s will be replaced with search result count.', 'better-studio' ),
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Daily Archive Page Title', 'better-studio' ),
			'id'                =>  'archive_daily_title',
			'std'               =>  'Daily Archives',
			'type'              =>  'text',
			'desc'              =>  __( '%s will be replaced with day.', 'better-studio' ),
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Month Archive Page Title', 'better-studio' ),
			'id'                =>  'archive_monthly_title',
			'std'               =>  'Monthly Archives',
			'type'              =>  'text',
			'desc'              =>  __( '%s will be replaced with month.', 'better-studio' ),
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Month Archive Page Date Format', 'better-studio' ),
			'id'                =>  'archive_monthly_format',
			'std'               =>  'F Y',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Year Archive Page Title', 'better-studio' ),
			'id'                =>  'archive_yearly_title',
			'std'               =>  'Yearly Archives',
			'type'              =>  'text',
			'desc'              =>  __( '%s will be replaced with year.', 'better-studio' ),
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Year Archive Page Date Format', 'better-studio' ),
			'id'                =>  'archive_year_format',
			'std'               =>  'Y',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);


		//
		// Comments
		//
		$fields[] = array(
			'name'              =>  __( 'Leave a comment on', 'better-studio' ),
			'id'                =>  'leave_comment_on',
			'std'               =>  'Leave a comment on: &ldquo;%s&rdquo;',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'No Comment', 'better-studio' ),
			'id'                =>  'no_comment',
			'std'               =>  'No Comment',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( '1 Comment', 'better-studio' ),
			'id'                =>  'one_comment',
			'std'               =>  '1 Comment',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Some Comments', 'better-studio' ),
			'id'                =>  'more_comment',
			'desc'              =>  __( '%d will be replaced with comment count.', 'better-studio' ),
			'std'               =>  '%d Comments',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Comments Time', 'better-studio' ),
			'id'                =>  'comment_time',
			'std'               =>  'M j, Y',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);


		//
		// Widgets
		//
		$fields[] = array(
			'name'              =>  __( 'Email', 'better-studio' ),
			'id'                =>  'widget_email',
			'std'               =>  'Email',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Recent Posts', 'better-studio' ),
			'id'                =>  'recent_posts',
			'std'               =>  'Recent Posts',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'About Us', 'better-studio' ),
			'id'                =>  'about_us',
			'std'               =>  'About Us',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Read More...', 'better-studio' ),
			'id'                =>  'widget_readmore',
			'std'               =>  'Read More...',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Newsletter', 'better-studio' ),
			'id'                =>  'widget_newsletter',
			'std'               =>  'Newsletter',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Subscribe', 'better-studio' ),
			'id'                =>  'widget_subscribe',
			'std'               =>  'Subscribe',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Enter your e-mail ..', 'better-studio' ),
			'id'                =>  'widget_enter_email',
			'std'               =>  'Enter your e-mail ..',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Flickr Photos', 'better-studio' ),
			'id'                =>  'widget_flickr_photos',
			'std'               =>  'Flickr Photos',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Instagram Photos', 'better-studio' ),
			'id'                =>  'widget_instagram',
			'std'               =>  'Instagram',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Dribbble Shots', 'better-studio' ),
			'id'                =>  'widget_dribbble_shots',
			'std'               =>  'Dribbble Shots',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Video', 'better-studio' ),
			'id'                =>  'widget_video',
			'std'               =>  'Video / Embed',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'FOLLOW @ INSTAGRAM', 'better-studio' ),
			'id'                =>  'widget_follow_at_inst',
			'std'               =>  'FOLLOW @ INSTAGRAM',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);


		//
		// Post Author
		//
		$fields[] = array(
			'name'              =>  __( 'Browse Author Articles', 'better-studio' ),
			'id'                =>  'browse_auth_articles',
			'std'               =>  'Browse Author Articles',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Author', 'better-studio' ),
			'id'                =>  'author',
			'std'               =>  'Author',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'All Posts', 'better-studio' ),
			'id'                =>  'author_all_posts',
			'std'               =>  'All Posts',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);



		//
		// Pagination
		//
		$fields[] = array(
			'name'              =>  __( 'Next Page', 'better-studio' ),
			'id'                =>  'pagination_next',
			'std'               =>  'Next',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Previous Page', 'better-studio' ),
			'id'                =>  'pagination_prev',
			'std'               =>  'Previous',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Older Posts', 'better-studio' ),
			'id'                =>  'pagination_older',
			'std'               =>  'Older Posts',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Newer Posts', 'better-studio' ),
			'id'                =>  'pagination_newer',
			'std'               =>  'Newer Posts',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Pages Pagination Title', 'better-studio' ),
			'id'                =>  'post_pages',
			'std'               =>  'Pages:',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);


		//
		// Human time
		//
		$fields[] = array(
			'name'              =>  __( 'Ago', 'better-studio' ),
			'id'                =>  'readable_time_ago',
			'desc'              =>  __( '%s will be replaced with time, ex: 23 min', 'better-studio' ),
			'std'               =>  '%s ago',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'min', 'better-studio' ),
			'id'                =>  'readable_time_min',
			'desc'              =>  __( '%s will be replaced with number', 'better-studio' ),
			'std'               =>  '%s min',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'mins', 'better-studio' ),
			'id'                =>  'readable_time_mins',
			'desc'              =>  __( '%s will be replaced with number', 'better-studio' ),
			'std'               =>  '%s mins',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'hour', 'better-studio' ),
			'id'                =>  'readable_time_hour',
			'desc'              =>  __( '%s will be replaced with number', 'better-studio' ),
			'std'               =>  '%s hour',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'hours', 'better-studio' ),
			'id'                =>  'readable_time_hours',
			'desc'              =>  __( '%s will be replaced with number', 'better-studio' ),
			'std'               =>  '%s hours',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'day', 'better-studio' ),
			'id'                =>  'readable_time_day',
			'desc'              =>  __( '%s will be replaced with number', 'better-studio' ),
			'std'               =>  '%s day',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'days', 'better-studio' ),
			'id'                =>  'readable_time_days',
			'desc'              =>  __( '%s will be replaced with number', 'better-studio' ),
			'std'               =>  '%s days',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'week', 'better-studio' ),
			'id'                =>  'readable_time_week',
			'desc'              =>  __( '%s will be replaced with number', 'better-studio' ),
			'std'               =>  '%s week',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'weeks', 'better-studio' ),
			'id'                =>  'readable_time_weeks',
			'desc'              =>  __( '%s will be replaced with number', 'better-studio' ),
			'std'               =>  '%s weeks',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'month', 'better-studio' ),
			'id'                =>  'readable_time_month',
			'desc'              =>  __( '%s will be replaced with number', 'better-studio' ),
			'std'               =>  '%s month',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'months', 'better-studio' ),
			'id'                =>  'readable_time_months',
			'desc'              =>  __( '%s will be replaced with number', 'better-studio' ),
			'std'               =>  '%s months',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'year', 'better-studio' ),
			'id'                =>  'readable_time_year',
			'desc'              =>  __( '%s will be replaced with number', 'better-studio' ),
			'std'               =>  '%s year',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'years', 'better-studio' ),
			'id'                =>  'readable_time_years',
			'desc'              =>  __( '%s will be replaced with number', 'better-studio' ),
			'std'               =>  '%s years',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);


		/**
		 * Post Formats
		 */
		$fields[] = array(
			'name'              =>  __( 'Video Format', 'better-studio' ),
			'id'                =>  'format_video',
			'std'               =>  'Video',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Aside Format', 'better-studio' ),
			'id'                =>  'format_aside',
			'std'               =>  'Aside',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Quote Format', 'better-studio' ),
			'id'                =>  'format_quote',
			'std'               =>  'Quote',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Gallery Format', 'better-studio' ),
			'id'                =>  'format_gallery',
			'std'               =>  'Gallery',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Image Format', 'better-studio' ),
			'id'                =>  'format_image',
			'std'               =>  'Image',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Status Format', 'better-studio' ),
			'id'                =>  'format_status',
			'std'               =>  'Status',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Music Format', 'better-studio' ),
			'id'                =>  'format_music',
			'std'               =>  'Music',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Chat Format', 'better-studio' ),
			'id'                =>  'format_chat',
			'std'               =>  'Chat',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Link Format', 'better-studio' ),
			'id'                =>  'format_link',
			'std'               =>  'Link',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);


		/**
		 * Comments
		 */
		//        $fields[] = array(
		//            'name'      =>  __( 'Comments Section' , 'better-studio' ),
		//            'id'        =>  'comments_tab',
		//            'type'      =>  'tab',
		//            'icon'      =>  'bsai-comment',
		//        );
		$fields[] = array(
			'name'              =>  __( 'Enter password to view comment message', 'better-studio' ),
			'id'                =>  'enter_pass_to_see_comment',
			'std'               =>  'This post is password protected. Enter the password to view comments.',
			'type'              =>  'textarea',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'No Comments Title', 'better-studio' ),
			'id'                =>  'no_comment_title',
			'std'               =>  'No Comments',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Comments Count Title', 'better-studio' ),
			'id'                =>  'comments_count_title',
			'std'               =>  '%s Comments',
			'type'              =>  'text',
			'desc'              =>  __( '%s will be replaced with comments count number.', 'better-studio' ),
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( '1 Comment Title', 'better-studio' ),
			'id'                =>  'comments_1_comment',
			'std'               =>  '1 Comment',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Older Comments', 'better-studio' ),
			'id'                =>  'comments_older',
			'std'               =>  '&larr; Older Comments',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Newer Comments', 'better-studio' ),
			'id'                =>  'comments_newer',
			'std'               =>  'Newer Comments &rarr;',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Comments are closed', 'better-studio' ),
			'id'                =>  'comments_closed',
			'std'               =>  'Comments are closed',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Leave A Reply', 'better-studio' ),
			'id'                =>  'comments_leave_reply',
			'std'               =>  'Leave A Reply',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Reply', 'better-studio' ),
			'id'                =>  'comments_reply',
			'std'               =>  'Reply',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Reply To', 'better-studio' ),
			'id'                =>  'comments_reply_to',
			'std'               =>  'Reply To %s',
			'type'              =>  'text',
			'desc'              =>  __( '%s will be replaced with user name.', 'better-studio' ),
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Logged in as', 'better-studio' ),
			'id'                =>  'comments_logged_as',
			'std'               =>  'Logged in as',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Log out of this account', 'better-studio' ),
			'id'                =>  'comments_logout_this',
			'std'               =>  'Log out of this account',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Log out?', 'better-studio' ),
			'id'                =>  'comments_logout',
			'std'               =>  'Log out?',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Your Comment', 'better-studio' ),
			'id'                =>  'comments_your_comment',
			'std'               =>  'Your Comment',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Post Comment', 'better-studio' ),
			'id'                =>  'comments_post_comment',
			'std'               =>  'Post Comment',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Cancel Reply', 'better-studio' ),
			'id'                =>  'comments_cancel_reply',
			'std'               =>  'Cancel Reply',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Your Name', 'better-studio' ),
			'id'                =>  'comments_your_name',
			'std'               =>  'Your Name',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Your Email', 'better-studio' ),
			'id'                =>  'comments_your_email',
			'std'               =>  'Your Email',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Your Website', 'better-studio' ),
			'id'                =>  'comments_your_website',
			'std'               =>  'Your Website',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Pingback', 'better-studio' ),
			'id'                =>  'comments_pingback',
			'std'               =>  'Pingback:',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Edit', 'better-studio' ),
			'id'                =>  'comments_edit',
			'std'               =>  'Edit',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Comment Awaiting Message', 'better-studio' ),
			'id'                =>  'comments_awaiting_message',
			'std'               =>  'Your comment is awaiting moderation.',
			'type'              =>  'textarea',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Note Before Comment Form', 'better-studio' ),
			'id'                =>  'comment_notes_before',
			'desc'              =>  __( 'Note to be displayed before the comment form fields.', 'better-studio' ),
			'input-desc'        =>  __( 'Will be shown only for not logged in users.', 'better-studio' ),
			'type'              =>  'textarea',
			'std'               =>  'Your email address will not be published.',
		);
		$fields[] = array(
			'name'              =>  __( 'Note After Comment Form', 'better-studio' ),
			'id'                =>  'comment_notes_after',
			'desc'              =>  __( 'Note to be displayed after the comment form fields.', 'better-studio' ),
			'type'              =>  'textarea',
			'std'               =>  '',
		);
		$fields[] = array(
			'name'              =>  __( 'Leave a comment on', 'better-studio' ),
			'id'                =>  'leave_comment_on',
			'desc'              =>  __( '%s will be replaced with post title', 'better-studio' ),
			'std'               =>  'Leave a comment on: &ldquo;%s&rdquo;',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'User Says', 'better-studio' ),
			'id'                =>  'comment_says',
			'std'               =>  'says',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Comment Previous', 'better-studio' ),
			'id'                =>  'comment_previous',
			'std'               =>  'Previous',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Comment Next', 'better-studio' ),
			'id'                =>  'comment_next',
			'std'               =>  'Next',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Comment Page Numbers', 'better-studio' ),
			'id'                =>  'comment_page_numbers',
			'std'               =>  'Page %1$s of %2$s',
			'desc'              =>  __( 'Comments page numbers. 1 is current page and 2 is total pages', 'betterstudio' ),
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Comments are closed.', 'better-studio' ),
			'id'                =>  'comment_closed',
			'std'               =>  'Comments are closed.',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Comment Closed. Trackback Open.', 'better-studio' ),
			'id'                =>  'comment_closed_tra_open',
			'std'               =>  'Comments are closed, but %strackbacks%s and pingbacks are open.',
			'desc'              =>  __( 'The two %s are placeholders for HTML. The order can\'t be changed.', 'betterstudio' ),
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);


		/**
		 * 404 Page
		 */
		//        $fields[] = array(
		//            'name'      =>  __( '404 Page' , 'better-studio' ),
		//            'id'        =>  '404_tab',
		//            'type'      =>  'tab',
		//            'icon'      =>  'bsai-404',
		//        );
		$fields[] = array(
			'name'              =>  __( 'Page Not Found', 'better-studio' ),
			'id'                =>  '404_not_found',
			'std'               =>  'Page Not Found!',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( '404 Not Found Message', 'better-studio' ),
			'id'                =>  '404_not_found_message',
			'std'               =>  "We're sorry, but we can't find the page you were looking for. It's probably some thing we've done wrong but now we know about it and we'll try to fix it. In the meantime, try one of these options:",
			'type'              =>  'textarea',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Go to Previous Page', 'better-studio' ),
			'id'                =>  '404_go_previous_page',
			'std'               =>  'Go to Previous Page',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Go to Homepage', 'better-studio' ),
			'id'                =>  '404_go_homepage',
			'std'               =>  'Go to Homepage',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);

		/**
		 * No Result
		 */
		$fields[] = array(
			'name'              =>  __( 'Nothing Found', 'better-studio' ),
			'id'                =>  'no_res_nothing_found',
			'std'               =>  'Nothing Found',
			'type'              =>  'text',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Publish First Post Message', 'better-studio' ),
			'id'                =>  'no_res_publish_first',
			'desc'              =>  __( '%s will be replaced with url of new post creating page.', 'better-studio' ),
			'std'               =>  'Ready to publish your first post? <a href="%1$s">Get started here</a>.',
			'type'              =>  'textarea',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Search Result Empty', 'better-studio' ),
			'id'                =>  'no_res_search_nothing',
			'std'               =>  'Sorry, but nothing matched your search terms. Please try again with some different keywords.',
			'type'              =>  'textarea',
			'container_class'   =>  'highlight-hover',
		);
		$fields[] = array(
			'name'              =>  __( 'Nothing Result Message', 'better-studio' ),
			'id'                =>  'no_res_message',
			'std'               =>  'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.',
			'type'              =>  'textarea',
			'container_class'   =>  'highlight-hover',
		);

		return $fields;
	} // patricia_translation_options
} // if