<?php
/**
 * user.php
 *---------------------------
 * Registers options for authors
 *
 */

add_filter( 'better-framework/user-metabox/options', 'patricia_user_options', 100 );


if( ! function_exists( 'patricia_user_options' ) ){
	/**
	 * Setup users metaboxe's
	 *
	 * @param $options
	 * @return array
	 */
	function patricia_user_options( $options ){

		$fields = array();

		/**
		 * => Style
		 */
		$fields[] = array(
			'name'          =>  __( 'Style' , 'better-studio' ),
			'id'            =>  'tab_style',
			'type'          =>  'tab',
			'icon'          =>  'bsai-paint',
		);
		$fields['avatar'] = array(
			'name'          =>  __( 'User Avatar', 'better-studio' ),
			'id'            =>  'avatar',
			'type'          =>  'media_image',
			'std'           =>  '',
			'upload_label'  =>  __( 'Upload Avatar', 'better-studio' ),
			'remove_label'  =>  __( 'Upload Avatar', 'better-studio' ),
			'desc'          =>  __( 'Upload your avatar. Use this to override Gravatar and WordPress default avatar.','better-studio'),
		);
		$fields['separator_icon'] = array(
			'name'          =>  __( 'Posts Separator Icon', 'better-studio' ),
			'id'            =>  'separator_icon',
			'desc'          =>  __( 'Override separator icon for this author.', 'better-studio' ),
			'type'          =>  'icon_select',
			'options'       =>  array( 'fontawesome' ),
			'std'           =>  'none',
			'default_text'  =>  __( 'Chose an Icon', 'betterstudio' ),
		);
		$fields['page_layout'] = array(
			'name'          =>  __( 'Author Page Layout', 'better-studio' ),
			'id'            =>  'page_layout',
			'std'           =>  'default',
			'type'          =>  'image_select',
			'section_class' =>  'style-floated-left bordered',
			'desc'          =>  __( 'Select & override page layout for this author.', 'better-studio' ),
			'options'       =>  patricia_layout_option_list( true )
		);
		$fields['page_listing'] = array(
			'name'          =>  __( 'Posts Listing', 'better-studio' ),
			'id'            =>  'page_listing',
			'std'           =>  'default',
			'type'          =>  'image_select',
			'section_class' =>  'style-floated-left bordered',
			'desc'          =>  __( 'Select & override posts listing for this author.', 'better-studio' ),
			'options'       =>  patricia_listing_option_list( true )
		);
		$fields['author_posts_count'] = array(
			'name'          =>  __( 'Number of Post to Show', 'better-studio' ),
			'id'            =>  'author_posts_count',
			'desc'          =>  sprintf( __( 'Leave this empty for default. <br>Default: %s', 'better-studio' ), better_get_option( 'archive_author_posts_count' ) != '' ? better_get_option( 'archive_author_posts_count' ) : get_option( 'posts_per_page' ) ),
			'type'          =>  'text',
			'std'           =>  '',
		);

		/**
		 * => Social Links
		 */
		$fields[] = array(
			'name'          =>  __( 'Social Links' , 'better-studio' ),
			'id'            =>  'tab_social_links',
			'type'          =>  'tab',
			'icon'          =>  'bsai-link',
		);
		$fields['twitter_url'] = array(
			'name'          =>  __( 'Twitter URL', 'better-studio' ),
			'id'            =>  'twitter_url',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'Enter Twitter profile URL.', 'better-studio' ),
		);
		$fields['facebook_url'] = array(
			'name'          =>  __( 'Facebook URL', 'better-studio' ),
			'id'            =>  'facebook_url',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'Enter Facebook page or profile link.', 'better-studio' ),
		);
		$fields['gplus_url'] = array(
			'name'          =>  __( 'Google+ URL', 'better-studio' ),
			'id'            =>  'gplus_url',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'Enter Google+ page link.', 'better-studio' ),
		);
		$fields['youtube_url'] = array(
			'name'          =>  __( 'Youtube URL', 'better-studio' ),
			'id'            =>  'youtube_url',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'Enter Youtube chanel or profile URL.', 'better-studio' ),
		);
		$fields['linkedin_url'] = array(
			'name'          =>  __( 'Linkedin URL', 'better-studio' ),
			'id'            =>  'linkedin_url',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'Enter Linkedin profile URL.', 'better-studio' ),
		);
		$fields['github_url'] = array(
			'name'          =>  __( 'Github URL', 'better-studio' ),
			'id'            =>  'github_url',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'Enter Github URL.', 'better-studio' ),
		);
		$fields['pinterest_url'] = array(
			'name'          =>  __( 'Pinterest URL', 'better-studio' ),
			'id'            =>  'pinterest_url',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'Enter Pinterest URL.', 'better-studio' ),
		);
		$fields['dribbble_url'] = array(
			'name'          =>  __( 'Dribbble URL', 'better-studio' ),
			'id'            =>  'dribbble_url',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'Enter Dribbble profile URL.', 'better-studio' ),
		);
		$fields['vimeo_url'] = array(
			'name'          =>  __( 'Vimeo URL', 'better-studio' ),
			'id'            =>  'vimeo_url',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'Enter Vimeo chanel or video URL.', 'better-studio' ),
		);
		$fields['delicious_url'] = array(
			'name'          =>  __( 'Delicious URL', 'better-studio' ),
			'id'            =>  'delicious_url',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'Enter Delicious profile URL.', 'better-studio' ),
		);
		$fields['soundcloud_url'] = array(
			'name'          =>  __( 'SoundCloud URL', 'better-studio' ),
			'id'            =>  'soundcloud_url',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'Enter SoundCloud profile URL.', 'better-studio' ),
		);
		$fields['behance_url'] = array(
			'name'          =>  __( 'Behance URL', 'better-studio' ),
			'id'            =>  'behance_url',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'Enter Behance profile URL.', 'better-studio' ),
		);
		$fields['flickr_url'] = array(
			'name'          =>  __( 'Flickr URL', 'better-studio' ),
			'id'            =>  'flickr_url',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'Enter Flickr profile URL.', 'better-studio' ),
		);
		$fields['instagram_url'] = array(
			'name'          =>  __( 'Instagram URL', 'better-studio' ),
			'id'            =>  'instagram_url',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'Enter Instagram profile URL.', 'better-studio' ),
		);


		/**
		 * => Custom Javascript / CSS
		 */
		$fields['custom_css_settings'] = array(
			'name'          =>  __( 'Custom CSS' , 'better-studio' ),
			'id'            =>  'custom_css_settings',
			'type'          =>  'tab',
			'icon'          =>  'bsai-css3',
			'margin-top'    =>  '20',
		);
		$fields['custom_css_code'] = array(
			'name'          =>  __( 'Custom CSS Code', 'better-studio' ),
			'id'            =>  'custom_css_code',
			'type'          =>  'textarea',
			'std'           =>  '',
			'desc'          =>  __( 'Paste your CSS code, do not include any tags or HTML in the field. Any custom CSS entered here will override the theme CSS. In some cases, the !important tag may be needed.', 'better-studio' )
		);
		$fields['custom_css_class'] = array(
			'name'          =>  __( 'Custom Body Class', 'better-studio' ),
			'id'            =>  'custom_css_class',
			'type'          =>  'text',
			'std'           =>  '',
			'desc'          =>  __( 'This classes will be added to body.<br> Separate classes with space.', 'better-studio' )
		);
		$fields[] = array(
			'name'          =>  __( 'Responsive CSS', 'better-studio' ),
			'type'          =>  'group',
			'state'         =>  'close',
			'desc'          =>  'Paste your custom css in the appropriate box, to run only on a specific device',
		);
		$fields['custom_css_desktop_code'] = array(
			'name'          =>  __( 'Desktop', 'better-studio' ),
			'id'            =>  'custom_css_desktop_code',
			'type'          =>  'textarea',
			'std'           =>  '',
			'desc'          =>  __( '1200px +', 'better-studio' )
		);
		$fields['custom_css_tablet_landscape_code'] = array(
			'name'          =>  __( 'Tablet Landscape', 'better-studio' ),
			'id'            =>  'custom_css_tablet_landscape_code',
			'type'          =>  'textarea',
			'std'           =>  '',
			'desc'          =>  __( '1019px - 1199px', 'better-studio' )
		);
		$fields['custom_css_tablet_portrait_code'] = array(
			'name'          =>  __( 'Tablet Portrait', 'better-studio' ),
			'id'            =>  'custom_css_tablet_portrait_code',
			'type'          =>  'textarea',
			'std'           =>  '',
			'desc'          =>  __( '768px - 1018px', 'better-studio' )
		);
		$fields['custom_css_phones_code'] = array(
			'name'          =>  __( 'Phones', 'better-studio' ),
			'id'            =>  'custom_css_phones_code',
			'type'          =>  'textarea',
			'std'           =>  '',
			'desc'          =>  __( '768px - 1018px', 'better-studio' )
		);


		/**
		 * General Post Options
		 */
		$options['better_author_options'] = array(
			'config'    => array(
				'title'         =>  __( 'Better Author Options', 'better-studio' ),
				'pages'         =>  array( 'post', 'page' ),
				'context'       =>  'normal',
				'prefix'        =>  false,
				'priority'      =>  'high'
			),
			'panel-id'  => better_theme_panel_id(),
			'fields'    => $fields
		);

		return $options;

	} //patricia_user_options
} // if