<?php
/**
 * bs-theme-shortcode.php
 *---------------------------
 * [bs-theme-about] short code & widget
 *
 */

/**
 * BS Theme About Shortcode
 */
class BS_Theme_About_Shortcode extends BF_Shortcode{

    function __construct( $id, $options ){

        $id = 'bs-theme-about';

        $_options = array(
            'defaults'  => array(
                'title'             =>  Better_Translation()->_get( 'about_us' ),
                'show_title'        =>  1,
                'text'              =>  '',
                'logo_text'         =>  '',
                'logo_img'          =>  '',
                'about_link_url'    =>  '',
                'about_link_text'   =>  Better_Translation()->_get( 'widget_readmore' ),
            ),
            'have_widget'   => true,
            'have_vc_add_on'=> false,
        );

        $_options = wp_parse_args( $_options, $options );

        parent::__construct( $id , $_options );

    }


    /**
     * Filter custom css codes for shortcode widget!
     *
     * @param $fields
     * @return array
     */
    function register_custom_css( $fields ){

        return $fields;

    }


    /**
     * Handle displaying of shortcode
     *
     * @param array $atts
     * @param string $content
     * @return string
     */
    function display( array $atts  , $content = '' ){

        ob_start();

        better_set_prop( 'shortcode-about-atts', $atts );

        better_get_view( 'shortcodes', 'about' );

        better_clear_prop();

        return ob_get_clean();

    }

}


/**
 * BS Theme About Widget
 */
class BS_Theme_About_Widget extends BF_Widget{

    /**
     * Register widget with WordPress.
     */
    function __construct(){

        // Back end form fields
        $this->fields = array(
            array(
                'name'          =>  __( 'Title', 'betterstudio' ),
                'attr_id'       =>  'title',
                'type'          =>  'text',
            ),
            array(
                'name'          =>  __( 'Logo Image', 'betterstudio' ),
                'attr_id'       =>  'logo_img',
                'type'          =>  'media_image',
                'upload_label'  =>  __( 'Upload Logo', 'betterstudio' ),
                'remove_label'  =>  __( 'Remove', 'betterstudio' ),
                'media_title'   =>  __( 'Remove', 'betterstudio' ),
                'media_button'  =>  __( 'Select as Logo', 'betterstudio' ),
            ),
            array(
                'name'          =>  __( 'Logo Text', 'betterstudio' ),
                'attr_id'       =>  'logo_text',
                'type'          =>  'text',
            ),
            array(
                'name'          =>  __( 'About Us', 'betterstudio' ),
                'attr_id'       =>  'text',
                'type'          =>  'textarea',
            ),
            array(
                'name'          =>  __( 'About Link', 'better-studio' ),
                'type'          =>  'group',
                'state'         =>  'close',
            ),
            array(
                'name'          =>  __( 'About Link Text', 'betterstudio' ),
                'attr_id'       =>  'about_link_text',
                'type'          =>  'text',
            ),
            array(
                'name'          =>  __( 'About Link URL', 'betterstudio' ),
                'attr_id'       =>  'about_link_url',
                'type'          =>  'text',
            ),
        );

        parent::__construct(
            'bs-theme-about',
            __( 'BetterStudio - About Us', 'betterstudio' ),
            array(
                'description' => __( 'About us widget.', 'betterstudio' )
            )
        );
    }
}