<?php
/**
 * bs-theme-embed.php
 *---------------------------
 * [bs-theme-embed] short code & widget
 *
 */

/**
 * BetterStudio Themes Embed Shortcode
 */
class BS_Theme_Embed_Shortcode extends BF_Shortcode{

    function __construct( $id, $options ){

        $id = 'bs-theme-embed';

        $_options = array(
            'defaults'      =>  array(
                'title'             =>  Better_Translation()->_get( 'widget_video' ),
                'show_title'        =>  1,
                'url'               =>  '',
            ),
            'have_widget'   =>  true,
        );

        $_options = wp_parse_args( $_options, $options );

        parent::__construct( $id , $_options );

    }


    /**
     * Handle displaying of shortcode
     *
     * @param array $atts
     * @param string $content
     * @return string
     */
    function display( array $atts  , $content = '' ){

        ob_start();

        better_set_prop( 'shortcode-embed-atts', $atts );

        better_get_view( 'shortcodes', 'embed' );

        better_clear_prop();

        return ob_get_clean();
    }

}



/**
 * BetterStudio Themes Embed Widget
 */
class BS_Theme_Embed_Widget extends BF_Widget{

    /**
     * Register widget with WordPress.
     */
    function __construct(){

        // Back end form fields
        $this->fields = array(
            array(
                'name'          =>  __( 'Title', 'better-studio' ),
                'attr_id'       =>  'title',
                'type'          =>  'text',
            ),
            array(
                'name'          =>  __( 'Embed or Video URL', 'better-studio' ),
                'attr_id'       =>  'url',
                'type'          =>  'textarea',
                'desc'          =>  'Separate multiple embeds per line.',
            ),
        );

        parent::__construct(
            'bs-theme-embed',
            __( 'BetterStudio - Video / Embed', 'better-studio' ),
            array(
                'description'   =>  __( 'Display video and audio in sidebar.', 'better-studio' )
            )
        );
    }
}