<?php
/**
 * bs-theme-recent-posts.php
 *---------------------------
 * [bs-theme-recent-posts] short code & widget
 *
 */

class BS_Theme_Recent_Posts_Shortcode extends BF_Shortcode{

    function __construct( $id, $options ){

        $id = 'bs-theme-recent-posts';

        $_options = array(
            'defaults'          => array(
                'title'             =>  Better_Translation()->_get( 'recent_posts' ),
                'show_title'        =>  1,
                'listing'           =>  'simple-thumbnail-meta',
                'order'             =>  'recent',
                'category'          =>  '',
                'tag'               =>  '',
                'post_type'         =>  '',
                'count'             =>  5,
                'time_filter'       =>  '',
            ),

            'have_widget'       =>  true,
        );

        $_options = wp_parse_args( $_options, $options );

        parent::__construct( $id, $_options );

    }

    /**
     * Handle displaying of shortcode
     *
     * @param array $atts
     * @param string $content
     * @return string
     */
    function display( array $atts  , $content = '' ){

        ob_start();

        better_set_prop( 'shortcode-recent-posts-atts', $atts );

        better_get_view( 'shortcodes', 'recent-posts' );

        better_clear_prop();

        return ob_get_clean();

    }

}



/**
 * Posts Listing Widget
 */
class BS_Theme_Recent_Posts_Widget extends BF_Widget{

    /**
     * Register widget with WordPress.
     */
    function __construct(){

        // Back end form fields
        $this->fields = array(
            array(
                'name'              =>  __( 'Title', 'betterstudio' ),
                'attr_id'           =>  'title',
                'type'              =>  'text',
            ),
            array(
                'name'              =>  __( 'Listing', 'betterstudio' ),
                'attr_id'           =>  'listing',
                'type'              =>  'select',
                'section_class'     =>  'style-floated-left bordered',
                'options'           =>  array(
                    'simple'                        =>   __( 'Title', 'betterstudio' ),
                    'simple-meta'                   =>   __( 'Title + Meta', 'betterstudio' ),
                    'simple-readable-meta'          =>   __( 'Title + Readable Meta', 'betterstudio' ),
                    'simple-thumbnail'              =>   __( 'Title + Thumbnail', 'betterstudio' ),
                    'simple-thumbnail-meta'         =>   __( 'Title + Thumbnail + Meta', 'betterstudio'),
                    'simple-thumbnail-readable-meta'=>   __( 'Title + Thumbnail + Readable Meta', 'betterstudio' ),
                )
            ),
            array(
                'name'              =>  __( 'Category', 'betterstudio' ),
                'attr_id'           =>  'category',
                'type'              =>  'ajax_select',
                "callback"          =>  'BF_Ajax_Select_Callbacks::cats_callback' ,
                "get_name"          =>  'BF_Ajax_Select_Callbacks::cat_name',
                'placeholder'       =>  '',
            ),
            array(
                'name'              =>  __( 'Tag', 'betterstudio' ),
                'attr_id'           =>  'tag',
                'type'              =>  'ajax_select',
                "callback"          =>  'BF_Ajax_Select_Callbacks::tags_callback' ,
                "get_name"          =>  'BF_Ajax_Select_Callbacks::tag_name',
                'placeholder'       =>  '',
            ),
            array(
                'name'              =>  __( 'Posts Count', 'betterstudio' ),
                'attr_id'           =>  'count',
                'type'              =>  'text',
            ),
            array(
                'name'              =>  __( 'Custom Post Type', 'betterstudio' ),
                'attr_id'           =>  'post_type',
                'type'              =>  'text',
                'desc'              =>  'Don\'t forgot add "post" if you changed this',
            ),
            array(
                'name'              =>  __( 'Time Filter', 'betterstudio' ),
                'attr_id'           =>  'time_filter',
                'type'              =>  'select',
                "options"           =>  array(
                    ''                  =>  __( 'No Filter', 'betterstudio' ),
                    'today'             =>  __( 'Today Posts', 'betterstudio' ),
                    'yesterday'         =>  __( 'Today + Yesterday Posts', 'betterstudio' ),
                    'week'              =>  __( 'This Week Posts', 'betterstudio' ),
                    'month'             =>  __( 'This Month Posts', 'betterstudio' ),
                    'year'              =>  __( 'This Year Posts', 'betterstudio' ),
                ) ,
            ),
            array(
                'name'              =>  __( 'Post Orders', 'betterstudio' ),
                'attr_id'           =>  'order',
                'type'              =>  'select',
                "options"           =>  array(
                    'recent'            =>  __( 'Publish Date', 'betterstudio' ),
                    'popular'           =>  __( 'Comments Count', 'betterstudio' ),
                    'views'             =>  __( 'Views Count', 'betterstudio' ),
                ) ,
            ),
        );

        parent::__construct(
            'bs-theme-recent-posts',
            __( 'BetterStudio - Recent Posts', 'better-studio' ),
            array(
                'description'   =>  __( 'Advanced Recent Posts Widget', 'better-studio' )
            )
        );
    }
}