<?php
/**
 * bs-theme-subscribe-newsletter.php
 *---------------------------
 * [bs-theme-subscribe-newsletter] short code & widget
 *
 */

class BS_Theme_Subscribe_Newsletter_Shortcode extends BF_Shortcode{

    function __construct( $id, $options ){

        $id = 'bs-theme-subscribe-newsletter';

        $_options = array(
            'defaults' => array(
                'title'         =>  Better_Translation()->_get( 'widget_newsletter' ),
                'feedburner-id' =>  '',
                'msg'           =>  '',
            ),

            'have_widget'       => true,
        );

        $_options = wp_parse_args( $_options, $options );

        parent::__construct( $id, $_options );

    }


    /**
     * Handle displaying of shortcode
     *
     * @param array $atts
     * @param string $content
     * @return string
     */
    function display( array $atts  , $content = '' ){

        ob_start();

        better_set_prop( 'shortcode-subscribe-newsletter-atts', $atts );

        better_get_view( 'shortcodes', 'subscribe-newsletter' );

        better_clear_prop();

        return ob_get_clean();

    }

}


class BS_Theme_Subscribe_Newsletter_Widget extends BF_Widget{

    /**
     * Register widget with WordPress.
     */
    function __construct(){

        // Back end form fields
        $this->fields = array(
            array(
                'name'          =>  __( 'Title', 'better-studio'),
                'attr_id'       =>  'title',
                'type'          =>  'text',
            ),
            array(
                'name'          =>  __( 'FeedBurner ID', 'better-studio'),
                'input-desc'    =>  __( 'Enter Feedburner ID.', 'better-studio'),
                'attr_id'       =>  'feedburner-id',
                'type'          =>  'text',
            ),
            array(
                'name'          =>  __( 'Message', 'better-studio'),
                'attr_id'       =>  'msg',
                'type'          =>  'textarea',
            ),
        );

        parent::__construct(
            'bs-theme-subscribe-newsletter',
            __( 'BetterStudio - Newsletter', 'better-studio' ),
            array(
                'description'   =>  __( 'Widget display NewsLetter Subscribe form it support Feedburner.', 'better-studio' )
            )
        );

    }
}