var Patricia_Theme = (function($) {
    "use strict";

    return {

        init: function(){

            // Pretty Photo Settings
            this.prettyPhotoSettings = {
                social_tools: false,
                show_title: false,
                markup: '<div class="pp_pic_holder"> \
						<div class="ppt"></div> \
						<div class="pp_content_container"> \
								<div class="pp_content"> \
									<div class="pp_loaderIcon"></div> \
									<div class="pp_fade"> \
										<a href="#" class="pp_expand" title="Expand the image"></a> \
                                        <a class="pp_close" href="#"></a> \
										<div class="pp_hoverContainer"> \
											<a class="pp_next" href="#"><i class="fa fa-chevron-right"></i></a> \
											<a class="pp_previous" href="#"><i class="fa fa-chevron-left"></i></a> \
										</div> \
										<div id="pp_full_res"></div> \
										<div class="pp_details"> \
											<div class="pp_nav"> \
												<a href="#" class="pp_arrow_previous"><i class="fa fa-backward"></i></a> \
												<p class="currentTextHolder">0/0</p> \
												<a href="#" class="pp_arrow_next"><i class="fa fa-forward"></i></a> \
											</div> \
											<p class="pp_description"></p> \
										</div> \
									</div> \
								</div> \
							</div> \
					</div> \
					<div class="pp_overlay"></div>',
                gallery_markup: '<div class="pp_gallery"> \
								<a href="#" class="pp_arrow_previous"><i class="fa fa-chevron-left"></i></a> \
								<div> \
									<ul> \
										{gallery} \
									</ul> \
								</div> \
								<a href="#" class="pp_arrow_next"><i class="fa fa-chevron-right"></i></a> \
							</div>'
            };

            // Setup Responsive Header
            this.setup_responsive_header();

            // Setup gallery
            this.gallery();

            // Setup Sliders
            this.setup_sliders();

            // Setup Video Players
            this.setup_video_players();

            // Small Fixes With jQuery For Elements Styles
            this.small_style_fixes();

            // BetterStudio Editor Shortcodes Setup
            this.betterstudio_editor_shortcodes();

            // Setup sticky menu
            this.setup_menu();

            // Setup Back To Top Button
            this.back_to_top();

            // Setup Popup
            this.popup();

        },


        /**
         * Setup Menu
         */
        setup_responsive_header: function() {

            // Show/Hide Menu Box
            $('.responsive-header .menu-container .menu-handler').click(function( e ) {

                e.preventDefault();

                var $container = $(this).parent();

                // Hide search box
                if( $container.hasClass('close') ){
                    $('.responsive-header .search-container').removeClass('open').addClass('close');
                }

                $container.toggleClass( 'open').toggleClass('close');

            });


            // Show/Hide Search Box
            $('.responsive-header .search-container .search-handler').click(function( e ) {

                e.preventDefault();

                var $container = $(this).parent();

                // Hide menu box
                if( $container.hasClass('close') ){
                    $('.responsive-header .menu-container').removeClass('open').addClass('close');
                }

                $container.toggleClass( 'open').toggleClass('close');

                if( $container.hasClass('open') ){
                    $container.find('input[type="search"]').focus();
                }


            });


            // Clone main menu if is not available specifiably for responsive
            if( $('.responsive-header .menu-container .menu-box').is(':empty') ){

                // Appends cloned menu to page
                $('.responsive-header .menu-container .menu-box').html( $('.main-menu.menu').clone().removeClass('main-menu').addClass('resp-menu').prop( 'id', 'resp-navigation' ) );

            }

            // Add show children list button
            $('.responsive-header .menu-container .resp-menu li > a').each(function() {

                if( $(this).parent().children("ul,.mega-menu").length > 0 ){
                    $(this).parent().append('<span class="children-button"><i class="fa fa-angle-down"></i></span>');
                }

            });

            // Show/Hide children list on click "children-button"
            $('.responsive-header .menu-container .resp-menu .children-button').click(function() {

                $(this).closest('li').toggleClass('open-sub');

                if( $(this).find('.fa-angle-down').length ){
                    $(this).find('.fa-angle-down').removeClass('fa-angle-down').addClass('fa-angle-up');
                }else{
                    $(this).find('.fa-angle-up').removeClass('fa-angle-up').addClass('fa-angle-down');
                }

                return false;
            });

            $('.responsive-header-container').betterPinning();

        },


        /**
         * Setup Menu
         */
        setup_menu: function() {

            // Trick to make menu animations awesome
            $('.menu li.menu-item-has-children').each(function(){
                $(this).addClass('hide-sub');
            });
            $('.menu li.menu-item-has-children > a').on( "mouseenter", function(){
                $(this).closest('.menu-item-has-children').removeClass('hide-sub');
                var that = this;
                setTimeout(function(){ $(that).closest('.menu-item-has-children').addClass('better-hover'); }, 1);
            });
            $('.menu li.menu-item-has-children').on( "mouseleave", function(){
                $(this).removeClass('better-hover');
                var that = this;
                setTimeout(function(){ $(that).addClass('hide-sub'); }, 300);
            });

            // Sticky main menu initializer
            if( $('body').hasClass( 'main-menu-sticky-smart' ) )
                $('#header .main-menu-wrapper').betterPinning();
            else if( $('body').hasClass( 'main-menu-sticky' ) )
                $('#header .main-menu-wrapper').betterPinning({ smart: false });

        },



        /**
         * Setup Sliders
         */
        setup_sliders: function(){

            if( ! $.fn.flexslider ){
                return;
            }

            $('.gallery-slider .better-slider').flexslider({
                namespace:      "better-",
                animation:      "fade",
                controlNav:     false,
                smoothHeight:   true,
                animationSpeed: "200"
            }).find('.better-control-nav').addClass( 'square' );

        },


        /**
         * Setup Video Players
         */
        setup_video_players: function(){

            $('.single-post .featured, .the-content, .sidebar, .post').fitVids();

        },


        /**
         * Small style fixes with jquery that can't done with css!
         */
        small_style_fixes: function(){

            // Show/Hide Topbar search box
            $('.header .search-container .search-handler').click(function( e ) {

                var $search_container = $(this).closest('.search-container');

                $search_container.toggleClass( 'open').toggleClass('close');

                // Set focus to search input
                if( $search_container.hasClass( 'open' ) ){
                    $(this).find('.fa').removeClass('fa-search').addClass('fa-close')
                    $search_container.find('.search-field').focus();
                }else{
                    $(this).find('.fa').addClass('fa-search').removeClass('fa-close')
                    $search_container.find('.search-field').focusout();
                }

            });

            // calendar widget fix
            $(".widget.widget_calendar table td a").each( function(){
                $(this).parent().addClass('active-day');
            });

            // Cross Browser Placeholder
            $('input, textarea').placeholder();

            // IE 10 detection for style fixing
            if( $.browser.msie && $.browser.version == 10) {
                $("html").addClass("ie ie10");
            }

        },


        /**
         * BetterStudio Editor Shortcodes Setup
         */
        betterstudio_editor_shortcodes: function(){

            $('.bs-accordion-shortcode').on( 'show.bs.collapse', function(e) {
                $(e.target).prev('.panel-heading').addClass('active');
            }).on('hide.bs.collapse', function(e) {
                    $(e.target).prev('.panel-heading').removeClass('active');
            });

        },


        /**
         * Back to top button
         */
        back_to_top: function(){

            var $back_to_top = $('.back-top');

            if( $back_to_top.length == 0 )
                return;

            $back_to_top.click(function(){
                $('body,html').animate({
                        scrollTop: 0
                    }, 700
                );
            });

            $(window).scroll(function(){
                ( $(this).scrollTop() > 300 ) ? $back_to_top.addClass('is-visible') : $back_to_top.removeClass('is-visible fade-out1 fade-out2 fade-out3 fade-out4');

                switch ( true ){

                    case ( $(this).scrollTop() > 2400 ):
                        $back_to_top.addClass('fade-out4');
                        break;

                    case ( $(this).scrollTop() > 1700 ):
                        $back_to_top.removeClass('fade-out3').addClass('fade-out3');
                        break;

                    case ( $(this).scrollTop() > 1000 ):
                        $back_to_top.removeClass('fade-out4 fade-out3').addClass('fade-out2');
                        break;

                    case ( $(this).scrollTop() > 500 ):
                        $back_to_top.removeClass('fade-out4 fade-out3 fade-out2').addClass('fade-out1');
                        break;
                }

            });

        },


        /**
         * Setup Popup
         */
        popup: function(){

            // If light box is not active
            if( ! $('body').hasClass( 'active-light-box' ) ){
                return;
            }

            // disabled on mobile screens
            if( ! $.fn.prettyPhoto || $(window).width() < 700 ){
                return;
            }

            var filter_only_images = function() {

                if( ! $(this).attr('href') )
                    return false;

                if( typeof $(this).data('not-rel') != 'undefined')
                    return false;

                return $(this).attr('href').match(/\.(jp?g|png|bmp|gif)$/);
            };

            $('.entry-content a,.single-post-content .featured a').has('img').filter(filter_only_images).attr('rel', 'prettyPhoto');

            var gallery_id = 1;

            $('.entry-content .gallery,.entry-content .tiled-gallery').each(function() {

                $(this).find('a').has('img').filter(filter_only_images).attr('rel', 'prettyPhoto[gallery_'+ gallery_id +']');

                gallery_id++;

            });

            $("a[rel^='prettyPhoto']").prettyPhoto( Patricia_Theme.prettyPhotoSettings );
        },


        /**
         * Setup Gallery
         */
        gallery: function(){

            var $fotoramaDiv = jQuery('.fotorama').fotorama({
                width: '100%',
                loop: true,
                margin: 10,
                thumbwidth: 85,
                thumbheight: 45,
                thumbmargin: 9,
                transitionduration: 800,
                arrows: false,
                click:false,
                swipe:true
            }).on('fotorama:show', function(e, fotorama, extra){

                var $gallery = $(this).closest('.better-gallery');

                $gallery.find('.count .current').html( fotorama.activeFrame.i );

            });

            // Activate light box gallery if active
            if( $('body').hasClass( 'active-light-box' ) && $.fn.prettyPhoto || $(window).width() < 700 ){

                jQuery('.better-gallery').on( 'click', '.slide-link', function(){

                    event.preventDefault();

                    var $gallery = $(this).closest('.better-gallery');
                    var gallery_id = $gallery.data('gallery-id');

                    var pps = Patricia_Theme.prettyPhotoSettings;

                    pps.changepicturecallback = function(){
                        $('#gallery-' + gallery_id).find('.fotorama').data('fotorama').show( $('.pp_gallery').find('li').index($('.selected')) );
                    };

                    $.fn.prettyPhoto( pps );

                    $.prettyPhoto.open( window["prt_gal_img_"+gallery_id], window["prt_gal_cap_"+gallery_id], window["prt_gal_cap_"+gallery_id]);

                    $.prettyPhoto.changePage( $('#gallery-' + gallery_id).find('.fotorama').data('fotorama').activeFrame.i - 1 );

                    return false;
                });

            }

            // Next Button
            jQuery('.better-gallery .gallery-title .next').click(function(){

                var fotorama = $(this).closest('.better-gallery').find('.fotorama').data('fotorama');
                fotorama.show('>');

            });

            // Previous Button
            jQuery('.better-gallery .gallery-title .prev').click(function(){

                var fotorama = $(this).closest('.better-gallery').find('.fotorama').data('fotorama');
                fotorama.show('<');

            });

        }


    };// /return
})(jQuery);

// Load when ready
jQuery(document).ready(function() {

    Patricia_Theme.init();

});