<?php
/**
 * _title-author.php
 *---------------------------
 * Authors title template
 *
 */

$author = bf_get_author_archive_user();

/**
 * Filter the author bio avatar size.
 *
 * @since patricia 1.0
 *
 * @param int $size The avatar height and width size in pixels.
 */
$avatar_size = apply_filters( 'patricia/author-archive/avatar-size', 100 );

?>
<section <?php better_attr( 'author', 'author-profile clearfix' ); ?>>

	<div <?php better_attr( 'author-avatar' ); ?>>
		<?php echo get_avatar( $author->ID, $avatar_size ); ?>
	</div>

	<h1 class="author-title">
		<a <?php better_attr( 'post-meta-author-url' ) ?>><span <?php better_attr( 'author-name' ); ?>><?php echo $author->display_name; ?></span></a>
	</h1>

	<?php if( get_the_author_meta( 'description', $author->ID ) != '' ){ ?>
		<div <?php better_attr( 'author-bio' ); ?>>
			<?php echo wpautop( get_the_author_meta( 'description', $author->ID ) ); ?>
		</div>
	<?php } ?>

	<div class="author-links clearfix">
		<?php better_the_author_social_icons( $author ); ?>
	</div>

</section><!-- .author-profile -->