<?php
/**
 * comment.php
 *---------------------------
 * Simple comment template
 *
 */
?>
<li <?php better_attr( 'comment' ); ?>>

	<article>

		<div class="comment-avatar">
			<?php echo get_avatar( $comment, 60 ); ?>
		</div><!-- .comment-avatar -->

		<header class="comment-meta">
			<cite <?php better_attr( 'comment-author' ); ?>><?php comment_author_link(); ?> <span class="says"><?php Better_Translation()->_echo( 'comment_says' ); ?></span></cite>
		</header><!-- .comment-meta -->

		<div <?php better_attr( 'comment-content' ); ?>>
			<?php comment_text(); ?>
		</div><!-- .comment-content -->

		<footer class="comment-footer">
			<time <?php better_attr( 'comment-published' ); ?>><i class="fa  fa-calendar"></i> <?php echo sprintf( Better_Translation()->_get( 'readable_time_ago' ), human_time_diff( get_comment_time( 'U' ) ) ); ?></time>
			<?php edit_comment_link( ' <i class="fa fa-edit"></i> ' . Better_Translation()->_get( 'comments_edit' ) ); ?>
			<?php better_echo_comment_reply_link(); ?>
		</footer><!-- .comment-footer -->

	</article>

<?php /* No closing </li> is needed. */ ?>