<?php
/**
 * _brand.php
 *---------------------------
 * Prints branding information's of site
 *
 */

$site_name  = get_bloginfo( 'name' );                   // Site name
$logo       = better_get_option( 'logo_image' );        // Site logo
$logo2x     = better_get_option( 'logo_image_retina' ); // Site 2X logo

// Custom logo for categories
if( is_category() && bf_get_term_meta( 'logo_image' ) != '' ){
	$logo       = bf_get_term_meta( 'logo_image' );
	$logo2x     = bf_get_term_meta( 'logo_image_retina' );
}

// Make it retina friendly
if( $logo2x != '' ){
	$logo2x = ' data-at2x="' . $logo2x . '" ';
}

?>
<div <?php better_attr( 'site' ) ?>>

	<h1 <?php better_attr( 'site-title', 'logo' ); ?>>
		<a href="<?php echo esc_url( home_url( '/' ) ); ?>" <?php better_attr( 'site-url' ); ?>>
			<?php

			// Site logo
			if( ! empty( $logo ) ){ ?>
				<img src="<?php echo esc_url( $logo ); ?>" alt="<?php echo esc_attr( $site_name ); ?>" <?php better_attr( 'site-logo' ); echo $logo2x; ?> />
			<?php }

			// Site title as text logo
			else{
				echo $site_name;
			}

			?>
		</a>
	</h1>

</div><!-- .site-branding -->