<?php
/**
 * 2-col-left.php
 *---------------------------
 * 2 column layout with left sidebar.
 *
 */

// Default slider config
$slider_config = array( 'show'  => false );

// Show slider only in home first page
if( ( is_home() || is_front_page() ) && bf_get_query_var_paged() == 1 ){

	// Prepares the main slider config
	$slider_config = patricia_get_main_slider_config();

}

// Show slider style 1
if( $slider_config['show'] && $slider_config['style'] == 'style-1' ){ ?>
	</div> <!-- .content-wrap -->
	<div class="slider-container slider-container-1">
		<div class="content-wrap">
			<div class="container">
				<?php

				// Prints main slider code base the style was selected in panel.
				// Location: "views/general/header/topbar-*.php"
				better_get_view( 'slider', $slider_config['style'] );

				?>
			</div>
		</div>
	</div><!-- .slider-container-1 -->
	<div class="content-wrap">
	<?php
	}

	// Show slider style 2
	if( $slider_config['show'] && $slider_config['style'] == 'style-2' ){

	?>
	</div> <!-- .content-wrap -->
	<div class="slider-container slider-container-2">
		<div class="content-wrap">
			<div class="container">
				<?php

				// Prints main slider code base the style was selected in panel.
				// Location: "views/general/header/topbar-*.php"
				better_get_view( 'slider', $slider_config['style'] );

				?>
			</div>
		</div>
	</div><!-- .slider-container-2 -->
	<div class="content-wrap">
	<?php

	}

	?>
<div class="container layout-2-col layout-right-sidebar">
	<div class="row main-section">

		<div class="col-lg-4 col-md-4 col-sm-4 sidebar-column">
			<?php

			if( is_home() && better_get_option( 'home_hide_posts' ) == 'yes' ){
				// Not show sidebar on home page
			}else{
				get_sidebar();
			}

			?>
		</div><!-- .sidebar-column -->

		<div class="col-lg-8 col-md-8 col-sm-8 content-column">
			<?php

			// Show slider style 3
			if( $slider_config['show'] && $slider_config['style'] == 'style-3' ){
				// Prints main slider code base the style was selected in panel.
				// Location: "views/general/header/topbar-*.php"
				?>
				<div class="slider-container slider-container-3">
					<?php
					// Prints main slider code base the style was selected in panel.
					// Location: "views/general/header/topbar-*.php"
					better_get_view( 'slider', $slider_config['style'] );
					?>
				</div><!-- .slider-container-3 -->
				<?php
			}

			// Static pages
			if( is_page() ){

				// Prints static pages template
				// Location: "views/general/post/page.php"
				better_get_view( 'post', 'page' );

			}

			// Other post types
			elseif( is_singular() ){

				// Prints post and other post type templates
				// Location: "views/general/post/post.php"
				better_get_view( 'post', 'post' );

			}

			// Hide posts in home if that option is active
			elseif( is_home() && better_get_option( 'home_hide_posts' ) == 'yes' ){
				// Not show home page content
			}

			// Other pages template
			else{

				// Prints the title of archive pages
				// Location: "views/general/archive/page.php"
				better_get_view( 'archive', 'title' );

				if( better_have_posts() ){

					// Prints posts base of listing that was selected in panels.
					// Location: "views/general/loop/listing-*.php"
					better_get_view( 'loop', patricia_get_page_listing() );
					patricia_get_pagination();

				}else{

					// Prints no result message
					// Location: "views/general/loop/_none-result.php"
					better_get_view( 'loop', '_none-result' );

				}

			}

			?>
		</div><!-- content-column -->

	</div><!-- main-section -->
</div><!-- .layout-2-col-right -->