<?php
/**
 * blog-item.php
 *---------------------------
 * Blog loop item template
 *
 */

$post_format = get_post_format();

// Creates main term ID that used for custom category color style
$main_term = better_get_post_primary_cat();
if( ! is_wp_error( $main_term ) ){
	$main_term_class = 'main-term-' . $main_term->term_id;
}else{
	$main_term_class = 'main-term-none';
}

?>
<article <?php better_attr( 'post', better_get_prop_class() . ' clearfix listing-item listing-item-blog ' . $main_term_class ); ?>>
	<?php


	if( ! in_array( $post_format, array( 'aside', 'quote' ) ) ) {
		?>
		<h2 class="title"><a <?php better_attr( 'post-url' ); ?>><span <?php better_attr( 'post-title' ); ?>><?php the_title(); ?></span></a></h2>
		<?php
	}

	?>
	<div class="featured">
		<?php

		// Gallery Post Format
		if( $post_format == 'gallery' ){
			better_get_view( 'post', '_gallery' );
		}

		// Video/Audio Post Format
		elseif( $post_format == 'video' || $post_format == 'audio' ){
			echo do_shortcode( apply_filters( 'better-framework/content/auto-embed', bf_get_post_meta( '_featured_embed_code' ) ) );
		}

		// Simple Thumbnail
		elseif( has_post_thumbnail() ){
			?>
			<a <?php better_attr( 'post-thumbnail-url' ); ?>>
				<?php the_post_thumbnail( better_get_prop_thumbnail_size( 'patricia-blog-free' ), array( 'title' => get_the_title() ) ); ?>
			</a>
		<?php
		}

		?>
	</div>

	<div <?php better_attr( 'post-lead' ); ?>><?php better_the_excerpt(); ?></div>

	<?php

	if( ! in_array( $post_format, array( 'quote', 'status' ) ) ){

		?>
		<footer class="post-footer loop-post-footer">

			<?php

			/**
			 * Filter the author bio avatar size.
			 *
			 * @since Patricia 1.0
			 *
			 * @param int $size The avatar height and width size in pixels.
			 */
			$avatar_size = apply_filters( 'patricia/post/author/avatar-size', 46 );

			?>
			<a class="read-more" href="<?php the_permalink(); ?>"><?php Better_Translation()->_echo( 'continue_reading' ); ?></a>

			<?php

			better_cats_badge_code( 3, ',', true );

			?>
			<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" itemscope="itemscope" itemprop="url" title="<?php echo Better_Translation()->_get_esc_attr( 'browse_auth_articles' ); ?>">
				<span <?php better_attr( 'author-avatar' ); ?> ><?php echo get_avatar( get_the_author_meta( 'ID' ), $avatar_size ); ?></span>
			</a>

			<h5 class="author-title"><a <?php better_attr( 'post-meta-author-url' ) ?>><span <?php better_attr( 'author-name' ); ?>><?php echo get_the_author_meta( 'display_name' ); ?></span></a></h5>

			<?php better_get_view( 'loop', '_meta' ); ?>

		</footer><!-- .post-footer -->
		<?php

	}


	?>

</article><!-- .post-<?php the_ID(); ?> -->