<?php
/**
 * main.php
 *---------------------------
 * Main menu template
 */

$menu_args = array(
	'theme_location'    => 'main-menu',
	'container'         => false,
	'items_wrap'        => '%3$s',
	'fallback_cb'       => 'BF_Menu_Walker',
);

// Custom menu for category
if( is_category() ){
	if( bf_get_term_meta( 'main_nav_menu' ) != 'default' ){
		$menu_args['menu'] = bf_get_term_meta( 'main_nav_menu' );
	}
}
// Custom menu for search page
elseif( is_search() ){
	if( better_get_option( 'search_menu' ) != 'default' ){
		$menu_args['menu'] = better_get_option( 'search_menu' );
	}
}
// custom menu for 404 page
elseif( is_404() ){
	if( better_get_option( 'archive_404_menu' ) != 'default' ){
		$menu_args['menu'] = better_get_option( 'archive_404_menu' );
	}
}


$menu_wrapper_class[]   = 'main-menu-wrapper';

$menu_container_class[] = 'main-menu-container';

$menu_class[]           = 'main-menu menu clearfix';

?>
<div <?php better_attr( 'menu', implode( ' ', $menu_wrapper_class ), 'main' ); ?>>
	<div class="container">

		<nav class="<?php echo implode( ' ', $menu_container_class ); ?>">
			<ul id="main-navigation" class="<?php echo esc_attr( implode( ' ', $menu_class ) ); ?>">
				<?php

				if( has_nav_menu( 'main-menu' ) ){

					wp_nav_menu( $menu_args );

				}else{

					?>
					<li><?php Better_Translation()->_echo( 'select_main_nav' ); ?></li>
					<?php

				}

				?>
			</ul><!-- #main-navigation -->
		</nav><!-- .main-menu-container -->

	</div>
</div><!-- .menu -->