<?php
/**
 * mega-grid-posts.php
 *---------------------------
 * Grid posts mega menu template
 *
 */

// Mega menu item object
$mega_menu_item = better_get_prop( 'mega-menu-item' );

// Query Args
$args = array(
	'order'                 =>  'date',
	'posts_per_page'        =>  4,
	'ignore_sticky_posts'   =>  1,
	'post_type'             =>  array( 'post' ),
);

// Mega category and tag composition
if( isset( $mega_menu_item->mega_menu_cat ) && $mega_menu_item->mega_menu_cat != 'auto' ){

	if( bf_is_a_category( $mega_menu_item->mega_menu_cat ) ){
		$args['cat'] = $mega_menu_item->mega_menu_cat;
	}elseif( bf_is_a_tag( $mega_menu_item->mega_menu_cat ) ) {
		$args['tag_id'] = $mega_menu_item->mega_menu_cat;
	}

}else{

	if( $mega_menu_item->object == 'category' ){
		$args['cat'] = $mega_menu_item->object_id;
	}elseif( $mega_menu_item->object == 'post_tag' ) {
		$args['tag_id'] = $mega_menu_item->object_id;
	}

}

// Prepare query
better_set_query( new WP_Query( $args ) );

// Slider ID
$slider_id = 'slider-' . rand( 1, 9999999 );
$_slider_id = str_replace( '-', '_', $slider_id );


?>
<div class="mega-menu mega-grid-posts">
	<div class="content-wrap">
		<?php

		better_set_prop_thumbnail_size( 'patricia-menu-post' );

		while( better_have_posts() ){
			better_the_post();

			better_get_view( 'loop', 'grid-simple-item' );

		}

		?>
	</div>
</div><!-- .mega-grid-posts -->
<?php

better_clear_prop();
better_clear_query();