<?php
/**
 * _author.php
 *---------------------------
 * Post author box in bottom of post contents template
 *
 */

global $authordata;

// Author archive page link
$author_archive_link = false;
if( ! is_author( $authordata ) ){
    $author_archive_link = esc_url( get_author_posts_url( $authordata->ID, $authordata->user_nicename ) );
}

?>
<section <?php better_attr( 'author', 'clearfix' ); ?>>

    <?php

    /**
     * Filter the author bio avatar size.
     *
     * @since Patricia 1.0
     *
     * @param int $size The avatar height and width size in pixels.
     */
    $avatar_size = apply_filters( 'patricia/post/author/avatar-size', 80 );

    // Author Avatar
    if( $author_archive_link ){
        echo '<a href="'. $author_archive_link .'" itemscope="itemscope" itemprop="url" title="'. Better_Translation()->_get_esc_attr( 'browse_auth_articles' ) .'"><span ' . better_get_attr( 'author-avatar' ) .' >' . get_avatar( $authordata->ID, $avatar_size ) . '</span></a>';
    }else{
        echo '<span ' . better_get_attr( 'author-avatar' ) .' >' . get_avatar( $authordata->ID, $avatar_size ) . '</span>';
    }

    ?>

    <div class="pre-head">
        <span><?php Better_Translation()->_echo( 'author' ); ?></span>
        <a href="<?php echo esc_url( $author_archive_link ); ?>" class="archive-link" itemscope="itemscope" itemprop="url" title="<?php Better_Translation()->_echo_esc_attr( 'browse_auth_articles' ); ?>"><?php Better_Translation()->_echo( 'author_all_posts' ); ?></a>
    </div>

    <h5 class="author-title"><a <?php better_attr( 'post-meta-author-url' ) ?>><span <?php better_attr( 'author-name' ); ?>><?php echo $authordata->display_name; ?></span></a></h5>

    <div class="author-links clearfix">
        <?php better_the_author_social_icons( $authordata ); ?>
    </div>

    <?php if( get_the_author_meta( 'description', $authordata->ID ) != '' ){ ?>
    <div <?php better_attr( 'author-bio' ); ?>>
        <?php echo wpautop( get_the_author_meta( 'description', $authordata->ID ) ); ?>
    </div>
    <?php } ?>

</section><!-- .post-author -->