<?php
/**
 * _gallery.php
 *---------------------------
 * Gallery post formats top featured gallery template
 *
 */

$gallery_images_ids = better_get_first_gallery_ids();

if( ! $gallery_images_ids ){
	return;
}

$gallery_images = new WP_Query( array(
	'post_type'     => 'attachment',
	'post_status'   => 'inherit',
	'post__in'      => $gallery_images_ids,
	'orderby'       => 'post__in',
	'posts_per_page'=> -1
));


?>
<div class="gallery-slider">
	<div class="better-slider">
		<ul class="slides">
			<?php foreach( $gallery_images->posts as $attachment ){ ?>

				<li>
					<a href="<?php echo esc_url( wp_get_attachment_url($attachment->ID) ); ?>" title="<?php echo esc_attr( $attachment->post_excerpt ? $attachment->post_excerpt : '' ); ?>" rel="prettyPhoto[featured-gallery]">
						<?php

						echo wp_get_attachment_image( $attachment->ID, 'patricia-blog-free', false );

						// caption
						if( $attachment->post_excerpt ){?>
							<p class="caption"><?php echo $attachment->post_excerpt; ?></p><?php
						} ?>
					</a>
				</li>

			<?php } // No Reset Query Needed; We Used WP_Query->posts result directly as object ?>
		</ul>
	</div><!-- .better-slider -->
</div><!-- .gallery-slider -->