<?php
/**
 * post.php
 *---------------------------
 * The template for displaying posts
 *
 */

the_post();

$post_format = get_post_format();

?>
<div class="single-container">
	<article <?php better_attr( 'post', 'single-post-content' ); ?>>

		<?php

		if( has_post_format( 'link' ) ) {
			?>
			<h1 class="title"><a <?php better_attr( 'post-url' ); ?>><span <?php better_attr( 'post-title' ); ?>><?php the_title(); ?></span></a></h1>
			<?php
		}else{
			?>
			<h1 class="title"><span <?php better_attr( 'post-title' ); ?>><?php the_title(); ?></span></h1>
			<?php
		}

		?>
		<div class="featured">
			<?php

			// Gallery Post Format
			if( $post_format == 'gallery' ){
				better_get_view( 'post', '_gallery' );
			}

			// Video/Audio Post Format
			elseif( $post_format == 'video' || $post_format == 'audio' ){
				echo do_shortcode( apply_filters( 'better-framework/content/auto-embed', bf_get_post_meta( '_featured_embed_code' ) ) );
			}

			// Simple Thumbnail
			elseif( has_post_thumbnail() ){
				?>
				<a <?php better_attr( 'post-thumbnail-url', '', 'full' ); ?>>
					<?php the_post_thumbnail( better_get_prop_thumbnail_size( 'patricia-blog-free' ), array( 'title' => get_the_title() ) ); ?>
				</a>
				<?php
			}

			?>
		</div>

		<div class="post-meta-wrap clearfix">
			<div class="cats-wrap"><?php better_cats_badge_code( -1, ',', true ); ?></div>

			<?php

			better_get_view( 'loop', '_meta' );

			?>
		</div>

		<div <?php better_attr( 'post-content', 'clearfix' ); ?>>
			<?php better_the_content(); ?>
		</div>

		<div class="post-tags">
			<?php the_tags( '', '', '' ); ?>
		</div>

	</article><!-- .single-post-content -->

	<?php

	// Social share buttons
	if( better_get_option( 'social_share_single' ) == 'show' ){
		patricia_listing_social_share( '', '', true );
	}

	// Author box
	if( better_get_option( 'post_author_box' ) == 'show' ){
		better_get_view( 'post', '_author' );
	}

	?>
</div>
<?php

// Related posts
if( better_get_option( 'post_related' ) == 'show' ){
	better_get_view( 'post', '_related' );
}

// Comments and comment form
if( better_get_option( 'post_comments' ) == 'show' ){
	comments_template();
}

?>
