<?php
/**
 * about.php
 *---------------------------
 * The template to show about shortcode/widget
 *
 * [bs-theme-about] shortcode
 *
 */

$atts = better_get_prop( 'shortcode-about-atts' );

if( $atts['title'] && ! Better_Framework::widget_manager()->get_current_sidebar() && $atts['show_title']){
	$atts['element-type'] = 'bs-theme-about';
	echo apply_filters( 'better-framework/shortcodes/title', $atts );
}

?>
<div class="bs-theme-shortcode bs-about">
	<h4 class="about-title">
		<?php

		if( $atts['about_link_url'] != '' ){
			?><a href="<?php echo esc_url( $atts['about_link_url'] ); ?>"><?php
		}

		if( $atts['logo_img'] ){ ?>
			<img class="logo-image" src="<?php echo esc_url( $atts['logo_img'] ); ?>" alt="<?php echo esc_attr( $atts['logo_text'] ); ?>">
		<?php }else{
			echo $atts['logo_text'];
		}

		if( $atts['about_link_url'] != '' ){
			?></a><?php
		}

		?>
	</h4>
	<div class="about-text">
		<?php

		echo wpautop( do_shortcode( $atts['text'] ) );

		?>
	</div>
	<?php if( $atts['about_link_url'] != '' ){ ?>
		<div class="about-link heading-typo">
			<a href="<?php echo esc_url( $atts['about_link_url'] ); ?>"><?php echo $atts['about_link_text']; ?></a>
		</div>
	<?php } ?>
</div><!-- .bs-about -->