<?php
/**
 * dribbble.php
 *---------------------------
 * The template to show dribbble shortcode/widget
 *
 * [bs-theme-dribbble] shortcode
 *
 */

$atts = better_get_prop( 'shortcode-dribbble-atts' );

if( $atts['title'] && ! Better_Framework::widget_manager()->get_current_sidebar() && $atts['show_title']){
	$atts['element-type'] = 'bs-theme-dribbble';
	echo apply_filters( 'better-framework/shortcodes/title', $atts );
}

$style = '';
switch( $atts['style'] ){

	case 2:
	case 3:
		$style = 'columns-' . $atts['style'];
		break;

	case 'slider':
		$style = 'slider';
		break;

}

?>
<div class="bs-theme-shortcode bs-dribbble clearfix">
	<?php
	if( ! empty( $atts['user_id'] ) ){

		$shots_list = bs_theme_shortcode_dribbble_get_data( $atts );
		$shots_list = array_slice( $shots_list, 0, $atts['photo_count'] );

		if( $shots_list != false ){ ?>
			<?php

			switch( $style ){

				// Simple Grid
				case 'columns-3':
				case 'columns-2':

					?>
					<ul class="bs-dribbble-shot-list <?php echo esc_attr( $style ); ?> clearfix">
					<?php

						foreach( $shots_list as $index => $item ){

							if( $index >= $atts['photo_count'] ){
								break;
							}

							?>
							<li class="dribbble-shot">
								<a href="<?php echo esc_url( $item->url ); ?>" target="_blank">
									<img src="<?php echo esc_url( $item->image_teaser_url ); ?>" alt="<?php echo esc_attr( $item->title ); ?>" />
								</a>
							</li>
							<?php
						}

					?>
					</ul><?php
					break;

				// Slider
				case 'slider':

					// Slider ID
					$slider_id = 'dribbble-slider-' . rand( 1, 9999999 );

					?>
					<div class="better-slider" id="<?php echo esc_attr( $slider_id ); ?>">
						<ul class="slides">
							<?php

							foreach( $shots_list as $index => $item ){

								if( $index >= $atts['photo_count'] ){
									break;
								}

								?>
								<li class="dribbble-shot slide">
									<a href="<?php echo esc_url( $item->url ); ?>" target="_blank">
										<img src="<?php echo esc_url( $item->image_teaser_url ); ?>" alt="<?php echo esc_attr( $item->title ); ?>" />
									</a>
								</li>
							<?php
							}

							?>
						</ul>
					</div><!-- /better-slider -->
					<script>
						jQuery(window).ready(function() {
							jQuery('#<?php echo esc_attr( $slider_id ); ?>').flexslider({
								namespace:      "better-",
								animation:      "fade",
								slideshowSpeed: "3500",
								animationSpeed: "400",
								animationLoop:  true,
								directionNav:   true,
								pauseOnHover:   true
							}).find('.better-control-nav').addClass( 'square' );
						});
					</script>
					<?php
					break;
			}
		}
	}
	?>
</div><!-- .bs-dribbble -->