<?php
/**
 * google-plus.php
 *---------------------------
 * The template to show google+ shortcode/widget
 *
 * [bs-theme-google-plus] shortcode
 *
 */

$atts = better_get_prop( 'shortcode-google-plus-atts' );


if( $atts['title'] && ! Better_Framework::widget_manager()->get_current_sidebar() && $atts['show_title']){
	$atts['element-type'] = 'bs-theme-google-plus';
	echo apply_filters( 'better-framework/shortcodes/title', $atts );
}

?>
<div class="bs-theme-shortcode bs-google-plus clearfix">
	<?php

	if( ! empty( $atts['url'] ) ){

		switch( $atts['type'] ){

			case 'page':
				$type = 'class="g-page"';
				break;

			case 'community':
				$type = 'class="g-community"';
				break;

			default:
				$type = 'class="g-person"';
				break;

		}

		?>
		<div <?php echo $type; ?> data-width="<?php echo esc_attr( $atts['width'] ); ?>" data-href="<?php echo esc_url( $atts['url'] ); ?>" data-layout="<?php echo esc_attr( $atts['layout'] ); ?>" data-theme="<?php echo esc_attr( $atts['scheme'] ); ?>" data-rel="publisher" data-showtagline="<?php echo $atts['tagline'] == 'show' ? 'true' : 'false'; ?>" data-showcoverphoto="<?php echo $atts['cover'] == 'show' ? 'true' : 'false'; ?>"></div>
		<script type="text/javascript">
			var lang = '<?php echo $atts['lang']; ?>';
			if (lang !== '') {
				window.___gcfg = {lang: lang};
			}
			(function() {
				var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
				po.src = 'https://apis.google.com/js/plusone.js';
				var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
			})();
		</script>
	<?php

	}
	?>
</div><!-- .bs-google-plus -->