<?php
/**
 * instagram.php
 *---------------------------
 * The template to show instagram shortcode/widget
 *
 * [bs-theme-instagram] shortcode
 *
 */

$atts = better_get_prop( 'shortcode-instagram-atts' );

if( $atts['title'] && ! Better_Framework::widget_manager()->get_current_sidebar() && $atts['show_title']){
	$atts['element-type'] = 'bs-theme-instagram';
	echo apply_filters( 'better-framework/shortcodes/title', $atts );
}

$style = '';
switch( $atts['style'] ){

	case 2:
	case 3:
		$style = 'columns-' . $atts['style'];
		break;

	case 'list':
		$style = 'list-photos';
		break;

	case 'slider':
		$style = 'slider';
		break;

}

?>
<div class="bs-theme-shortcode bs-instagram clearfix">
	<?php

	if( ! empty( $atts['user_id'] ) ){

		$images_list = bs_shortcode_instagram_get_data( $atts );

		if( $images_list != false ){

			// Show error message
			if( is_wp_error( $images_list ) ){

				echo $images_list->get_error_message();

			}
			// Print images
			else{

				$images_list = array_slice( $images_list, 0, $atts['photo_count'] );

				switch( $style ){

					// Simple Grid
					case 'columns-3':
					case 'columns-2':
					case 'list-photos':
						?>
						<ul class="bs-instagram-photo-list <?php echo esc_attr( $style ); ?> clearfix" ><?php

						foreach( $images_list as $image ){

							?>
							<li class="bs-instagram-photo">
								<a href="<?php echo esc_url( $image['link'] ); ?>" target="_blank">
									<img src="<?php echo esc_url( $image['thumbnail'] ); ?>" alt="<?php echo esc_attr( $image['description'] ); ?>" />
								</a>
							</li>
						<?php
						}

						?></ul><?php
						break;

					// Slider
					case 'slider':

						// Slider ID
						$slider_id = 'inst-slider-' . rand( 1, 9999999 );

						?>
						<div class="better-slider" id="<?php echo esc_attr( $slider_id ); ?>">
							<ul class="slides">
								<?php

								foreach( $images_list as $image ){

									?>
									<li class="slide bs-instagram-photo">
										<a href="<?php echo esc_url( $image['link'] ); ?>" target="_blank">
											<img src="<?php echo esc_url( $image['thumbnail'] ); ?>" alt="<?php echo esc_attr( $image['description'] ); ?>" />
										</a>
									</li>
									<?php

								}

								?>
							</ul>
						</div><!-- .better-slider -->
						<script>
							jQuery(window).ready(function() {
								jQuery('#<?php echo esc_attr( $slider_id ); ?>').flexslider({
									namespace:      "better-",
									animation:      "fade",
									slideshowSpeed: "3500",
									animationSpeed: "400",
									animationLoop:  true,
									directionNav:   true,
									pauseOnHover:   true
								}).find('.better-control-nav').addClass( 'square' );
							});
						</script>
						<?php
						break;
				}
			}
		}
	}

	?>
</div><!-- .bs-instagram -->