<?php
/**
 * recent-posts.php
 *---------------------------
 * The template to show recent posts shortcode/widget
 *
 * [bs-theme-recent-posts] shortcode
 *
 */

$atts = better_get_prop( 'shortcode-recent-posts-atts' );

// Default 5 count
if( empty( $atts['count'] ) )
	$atts['count'] = 5;

$args = array(
	'posts_per_page'        =>  $atts['count'],
	'ignore_sticky_posts'   =>  TRUE,
);

// Category Filter
if( $atts['category'] != '' ){
	$args['cat'] = explode( ',', $atts['category'] );
}

// Tag filter
if( $atts['tag'] != '' ){
	$args['tag__in'] = explode( ',', $atts['tag'] );
}

// Prepares time filter
if( $atts['time_filter'] != '' ){
	$args['date_query'] = better_get_time_filter_query( $atts['time_filter'] );
}

// Prepares time filter
if( $atts['order'] != 'recent' ){
	$args = array_merge( $args, better_get_order_filter_query( $atts['order'] ) );
}

// Custom post type support
if( $atts['post_type'] != '' ){
	$args['post_type'] = explode( ',', $atts['post_type'] );
}else{
	$args['post_type'] = 'post';
}

// Init query
better_set_query( new WP_Query( $args ) );

?>
<div class="bs-theme-shortcode bs-recent-posts">
	<?php better_get_view( 'loop', 'widget-' . $atts['listing'] ); ?>
</div><!-- .bs-recent-posts -->
<?php

better_clear_query();
better_clear_prop();