<?php
/**
 * style-3.php
 *---------------------------
 * The template to main slider style 3
 *
 */

// Get slider config
$config = patricia_get_main_slider_config();

// Slider ID
$slider_id = 'slider-' . rand( 1, 9999999 );
$_slider_id = str_replace( '-', '_', $slider_id );

// Prepare query
better_set_query( new WP_Query( $config['args'] ) );

?>
<div class="slider-content clearfix">
	<div class="slider-col">
		<div class="main-slider slider-style-3">
			<div class="main-slider-container">
				<div class="better-slider" id="<?php echo esc_attr( $slider_id ); ?>">
					<ul class="slides"><?php

						while( better_have_posts() ){
							better_the_post();

							?>
							<li class="slide">
								<article <?php better_attr( 'post' ) ?>>

									<div class="thumbnail-container">
										<a <?php better_attr( 'post-thumbnail-url' ); ?>>
											<?php the_post_thumbnail( 'patricia-slider-1', array( 'title' => get_the_title(), 'class' => 'img-responsive' ) ); ?>
										</a>
										<a <?php better_attr( 'post-url' ); ?>>
											<h2 class="title"><span <?php better_attr( 'post-title' ); ?>><?php the_title(); ?></span></h2>
										</a>
									</div>

								</article>

							</li><!-- .slide -->
							<?php
						}

						?>
					</ul>
				</div><!-- .better-slider -->
				<script>
					jQuery(window).ready(function() {

						jQuery('#<?php echo esc_attr( $slider_id ); ?>').flexslider({
							namespace:      "better-",
							animation:      "fade",
							slideshowSpeed: "<?php echo $config['slideshowSpeed']; ?>",
							animationSpeed: "<?php echo $config['animationSpeed']; ?>",
							animationLoop:  true,
							directionNav:   true,
							controlNav:     false,
							pauseOnHover:   true,
						}).find('.better-control-nav').addClass( 'circle' );

					});
				</script>
			</div><!-- .main-slider-container -->
		</div><!-- .slider-style-1 -->
	</div><!-- .slider-col -->

	<div class="box-col clearfix">
		<div class="featured-boxes featured-boxes-sl-3">
			<div id="featured-box-1" class="featured-box">
				<div class="featured-box-inner">
					<a href="<?php echo esc_url( better_get_option( 'featured_1_link' ) ); ?>" target="_blank">
						<div class="content-container">
							<span class="heading-typo"><?php better_echo_option( 'featured_1_heading' ); ?></span>
						</div>
					</a>
				</div>
			</div>
			<div id="featured-box-2" class="featured-box">
				<div class="featured-box-inner">
					<a href="<?php echo esc_url( better_get_option( 'featured_2_link' ) ); ?>" target="_blank">
						<div class="content-container">
							<span class="heading-typo"><?php better_echo_option( 'featured_2_heading' ); ?></span>
						</div>
					</a>
				</div>
			</div>
			<div id="featured-box-3" class="featured-box">
				<div class="featured-box-inner">
					<a href="<?php echo esc_url( better_get_option( 'featured_3_link' ) ); ?>" target="_blank">
						<div class="content-container">
							<span class="heading-typo"><?php better_echo_option( 'featured_3_heading' ); ?></span>
						</div>
					</a>
				</div>
			</div>
			<div id="featured-box-4" class="featured-box">
				<div class="featured-box-inner">
					<a href="<?php echo esc_url( better_get_option( 'featured_4_link' ) ); ?>" target="_blank">
						<div class="content-container">
							<span class="heading-typo"><?php better_echo_option( 'featured_4_heading' ); ?></span>
						</div>
					</a>
				</div>
			</div>
		</div>
	</div><!-- .box-col -->

</div> <!-- .slider-content -->
<?php

better_clear_query();
better_clear_prop();