<?php

/**
 * Used For retrieving Google fonts list.
 * Also contain some helper functions for general usage
 */
class BF_FM_Google_Fonts_Helper {


    /**
     * Contain array of all Google Fonts List
     *
     * @var array
     */
    private static $fonts_list = null;


    /**
     * Used for Retrieving list of all Google Fonts
     */
    public static function get_all_fonts(){

        if( self::$fonts_list != null ){
            return self::$fonts_list;
        }

        // todo add groups for separating fonts like Sans and Serifs
        return self::$fonts_list = json_decode( '{"ABeeZee":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Abel":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Abril Fatface":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Aclonica":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Acme":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Actor":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Adamina":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Advent Pro":{"variants":[{"id":"100","name":"Ultra-Light 100"},{"id":"200","name":"Light 200"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"greek","name":"Greek"}],"type":"google-font"},"Aguafina Script":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Akronim":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Aladin":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Aldrich":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Alef":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Alegreya":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Alegreya SC":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Alegreya Sans":{"variants":[{"id":"100","name":"Ultra-Light 100"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"700","name":"Bold 700"},{"id":"800","name":"Extra-Bold 800"},{"id":"900","name":"Ultra-Bold 900"},{"id":"100italic","name":"Ultra-Light 100 Italic"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"500italic","name":"Medium 500 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"800italic","name":"Extra-Bold 800 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Alegreya Sans SC":{"variants":[{"id":"100","name":"Ultra-Light 100"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"700","name":"Bold 700"},{"id":"800","name":"Extra-Bold 800"},{"id":"900","name":"Ultra-Bold 900"},{"id":"100italic","name":"Ultra-Light 100 Italic"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"500italic","name":"Medium 500 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"800italic","name":"Extra-Bold 800 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Alex Brush":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Alfa Slab One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Alice":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Alike":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Alike Angular":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Allan":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Allerta":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Allerta Stencil":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Allura":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Almendra":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Almendra Display":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Almendra SC":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Amarante":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Amaranth":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Amatic SC":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Amethysta":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Anaheim":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Andada":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Andika":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Angkor":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Annie Use Your Telescope":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Anonymous Pro":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Antic":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Antic Didone":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Antic Slab":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Anton":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Arapey":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Arbutus":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Arbutus Slab":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Architects Daughter":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Archivo Black":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Archivo Narrow":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Arimo":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Arizonia":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Armata":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Artifika":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Arvo":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Asap":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Asset":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Astloch":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Asul":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Atomic Age":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Aubrey":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Audiowide":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Autour One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Average":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Average Sans":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Averia Gruesa Libre":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Averia Libre":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Averia Sans Libre":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Averia Serif Libre":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Bad Script":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Balthazar":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Bangers":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Basic":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Battambang":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Baumans":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Bayon":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Belgrano":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Belleza":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"BenchNine":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Bentham":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Berkshire Swash":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Bevan":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Bigelow Rules":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Bigshot One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Bilbo":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Bilbo Swash Caps":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Bitter":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Black Ops One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Bokor":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Bonbon":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Boogaloo":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Bowlby One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Bowlby One SC":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Brawler":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Bree Serif":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Bubblegum Sans":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Bubbler One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Buda":{"variants":[{"id":"300","name":"Book 300"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Buenard":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Butcherman":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Butterfly Kids":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Cabin":{"variants":[{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"500italic","name":"Medium 500 Italic"},{"id":"600italic","name":"Semi-Bold 600 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Cabin Condensed":{"variants":[{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Cabin Sketch":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Caesar Dressing":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Cagliostro":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Calligraffitti":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Cambo":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Candal":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Cantarell":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Cantata One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Cantora One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Capriola":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Cardo":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"}],"type":"google-font"},"Carme":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Carrois Gothic":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Carrois Gothic SC":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Carter One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Caudex":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"}],"type":"google-font"},"Cedarville Cursive":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Ceviche One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Changa One":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Chango":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Chau Philomene One":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Chela One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Chelsea Market":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Chenla":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Cherry Cream Soda":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Cherry Swash":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Chewy":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Chicle":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Chivo":{"variants":[{"id":"400","name":"Normal 400"},{"id":"900","name":"Ultra-Bold 900"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Cinzel":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Cinzel Decorative":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Clicker Script":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Coda":{"variants":[{"id":"400","name":"Normal 400"},{"id":"800","name":"Extra-Bold 800"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Coda Caption":{"variants":[{"id":"800","name":"Extra-Bold 800"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Codystar":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Combo":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Comfortaa":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Coming Soon":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Concert One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Condiment":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Content":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Contrail One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Convergence":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Cookie":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Copse":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Corben":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Courgette":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Cousine":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Coustard":{"variants":[{"id":"400","name":"Normal 400"},{"id":"900","name":"Ultra-Bold 900"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Covered By Your Grace":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Crafty Girls":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Creepster":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Crete Round":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Crimson Text":{"variants":[{"id":"400","name":"Normal 400"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"600italic","name":"Semi-Bold 600 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Croissant One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Crushed":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Cuprum":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Cutive":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Cutive Mono":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Damion":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Dancing Script":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Dangrek":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Dawning of a New Day":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Days One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Delius":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Delius Swash Caps":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Delius Unicase":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Della Respira":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Denk One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Devonshire":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Didact Gothic":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Diplomata":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Diplomata SC":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Domine":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Donegal One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Doppio One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Dorsa":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Dosis":{"variants":[{"id":"200","name":"Light 200"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"},{"id":"800","name":"Extra-Bold 800"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Dr Sugiyama":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Droid Sans":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Droid Sans Mono":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Droid Serif":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Duru Sans":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Dynalight":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"EB Garamond":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"cyrillic-ext","name":"Cyrillic Extended"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Eagle Lake":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Eater":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Economica":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Electrolize":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Elsie":{"variants":[{"id":"400","name":"Normal 400"},{"id":"900","name":"Ultra-Bold 900"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Elsie Swash Caps":{"variants":[{"id":"400","name":"Normal 400"},{"id":"900","name":"Ultra-Bold 900"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Emblema One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Emilys Candy":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Engagement":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Englebert":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Enriqueta":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Erica One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Esteban":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Euphoria Script":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Ewert":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Exo":{"variants":[{"id":"100","name":"Ultra-Light 100"},{"id":"200","name":"Light 200"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"},{"id":"800","name":"Extra-Bold 800"},{"id":"900","name":"Ultra-Bold 900"},{"id":"100italic","name":"Ultra-Light 100 Italic"},{"id":"200italic","name":"Light 200 Italic"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"500italic","name":"Medium 500 Italic"},{"id":"600italic","name":"Semi-Bold 600 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"800italic","name":"Extra-Bold 800 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Exo 2":{"variants":[{"id":"100","name":"Ultra-Light 100"},{"id":"200","name":"Light 200"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"},{"id":"800","name":"Extra-Bold 800"},{"id":"900","name":"Ultra-Bold 900"},{"id":"100italic","name":"Ultra-Light 100 Italic"},{"id":"200italic","name":"Light 200 Italic"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"500italic","name":"Medium 500 Italic"},{"id":"600italic","name":"Semi-Bold 600 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"800italic","name":"Extra-Bold 800 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Expletus Sans":{"variants":[{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"500italic","name":"Medium 500 Italic"},{"id":"600italic","name":"Semi-Bold 600 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Fanwood Text":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Fascinate":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Fascinate Inline":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Faster One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Fasthand":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Fauna One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Federant":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Federo":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Felipa":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Fenix":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Finger Paint":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Fjalla One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Fjord One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Flamenco":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Flavors":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Fondamento":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Fontdiner Swanky":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Forum":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Francois One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Freckle Face":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Fredericka the Great":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Fredoka One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Freehand":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Fresca":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Frijole":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Fruktur":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Fugaz One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"GFS Didot":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"greek","name":"Greek"}],"type":"google-font"},"GFS Neohellenic":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"greek","name":"Greek"}],"type":"google-font"},"Gabriela":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Gafata":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Galdeano":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Galindo":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Gentium Basic":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Gentium Book Basic":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Geo":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Geostar":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Geostar Fill":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Germania One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Gilda Display":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Give You Glory":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Glass Antiqua":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Glegoo":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Gloria Hallelujah":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Goblin One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Gochi Hand":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Gorditas":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Goudy Bookletter 1911":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Graduate":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Grand Hotel":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Gravitas One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Great Vibes":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Griffy":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Gruppo":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Gudea":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Habibi":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Hammersmith One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Hanalei":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Hanalei Fill":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Handlee":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Hanuman":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Happy Monkey":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Headland One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Henny Penny":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Herr Von Muellerhoff":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Holtwood One SC":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Homemade Apple":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Homenaje":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"IM Fell DW Pica":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"IM Fell DW Pica SC":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"IM Fell Double Pica":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"IM Fell Double Pica SC":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"IM Fell English":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"IM Fell English SC":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"IM Fell French Canon":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"IM Fell French Canon SC":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"IM Fell Great Primer":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"IM Fell Great Primer SC":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Iceberg":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Iceland":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Imprima":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Inconsolata":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Inder":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Indie Flower":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Inika":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Irish Grover":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Istok Web":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Italiana":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Italianno":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Jacques Francois":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Jacques Francois Shadow":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Jim Nightshade":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Jockey One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Jolly Lodger":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Josefin Sans":{"variants":[{"id":"100","name":"Ultra-Light 100"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"},{"id":"100italic","name":"Ultra-Light 100 Italic"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"600italic","name":"Semi-Bold 600 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Josefin Slab":{"variants":[{"id":"100","name":"Ultra-Light 100"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"},{"id":"100italic","name":"Ultra-Light 100 Italic"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"600italic","name":"Semi-Bold 600 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Joti One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Judson":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Julee":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Julius Sans One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Junge":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Jura":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"600","name":"Semi-Bold 600"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Just Another Hand":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Just Me Again Down Here":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Kameron":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Kantumruy":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Karla":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Kaushan Script":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Kavoon":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Kdam Thmor":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Keania One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Kelly Slab":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Kenia":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Khmer":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Kite One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Knewave":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Kotta One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Koulen":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Kranky":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Kreon":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Kristi":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Krona One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"La Belle Aurore":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Lancelot":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Lato":{"variants":[{"id":"100","name":"Ultra-Light 100"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"},{"id":"100italic","name":"Ultra-Light 100 Italic"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"League Script":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Leckerli One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Ledger":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Lekton":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Lemon":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Libre Baskerville":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Life Savers":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Lilita One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Lily Script One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Limelight":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Linden Hill":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Lobster":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Lobster Two":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Londrina Outline":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Londrina Shadow":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Londrina Sketch":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Londrina Solid":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Lora":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Love Ya Like A Sister":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Loved by the King":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Lovers Quarrel":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Luckiest Guy":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Lusitana":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Lustria":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Macondo":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Macondo Swash Caps":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Magra":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Maiden Orange":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Mako":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Marcellus":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Marcellus SC":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Marck Script":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Margarine":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Marko One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Marmelad":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Marvel":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Mate":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Mate SC":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Maven Pro":{"variants":[{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"McLaren":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Meddon":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"MedievalSharp":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Medula One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Megrim":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Meie Script":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Merienda":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Merienda One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Merriweather":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Merriweather Sans":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"800","name":"Extra-Bold 800"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"800italic","name":"Extra-Bold 800 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Metal":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Metal Mania":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Metamorphous":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Metrophobic":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Michroma":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Milonga":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Miltonian":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Miltonian Tattoo":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Miniver":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Miss Fajardose":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Modern Antiqua":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Molengo":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Molle":{"variants":[{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Monda":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Monofett":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Monoton":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Monsieur La Doulaise":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Montaga":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Montez":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Montserrat":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Montserrat Alternates":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Montserrat Subrayada":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Moul":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Moulpali":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Mountains of Christmas":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Mouse Memoirs":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Mr Bedfort":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Mr Dafoe":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Mr De Haviland":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Mrs Saint Delafield":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Mrs Sheppards":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Muli":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Mystery Quest":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Neucha":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Neuton":{"variants":[{"id":"200","name":"Light 200"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"800","name":"Extra-Bold 800"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"New Rocker":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"News Cycle":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Niconne":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Nixie One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Nobile":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Nokora":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Norican":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Nosifer":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Nothing You Could Do":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Noticia Text":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Noto Sans":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"},{"id":"vietnamese","name":"Vietnamese"},{"id":"devanagari","name":"Devanagari"}],"type":"google-font"},"Noto Serif":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Nova Cut":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Nova Flat":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Nova Mono":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"},{"id":"greek","name":"Greek"}],"type":"google-font"},"Nova Oval":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Nova Round":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Nova Script":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Nova Slim":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Nova Square":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Numans":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Nunito":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Odor Mean Chey":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Offside":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Old Standard TT":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Oldenburg":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Oleo Script":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Oleo Script Swash Caps":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Open Sans":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"},{"id":"800","name":"Extra-Bold 800"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"600italic","name":"Semi-Bold 600 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"800italic","name":"Extra-Bold 800 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"},{"id":"vietnamese","name":"Vietnamese"},{"id":"devanagari","name":"Devanagari"}],"type":"google-font"},"Open Sans Condensed":{"variants":[{"id":"300","name":"Book 300"},{"id":"700","name":"Bold 700"},{"id":"300italic","name":"Book 300 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Oranienbaum":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Orbitron":{"variants":[{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Oregano":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Orienta":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Original Surfer":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Oswald":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Over the Rainbow":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Overlock":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Overlock SC":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Ovo":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Oxygen":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Oxygen Mono":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"PT Mono":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"PT Sans":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"PT Sans Caption":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"PT Sans Narrow":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"PT Serif":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"PT Serif Caption":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Pacifico":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Paprika":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Parisienne":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Passero One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Passion One":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Pathway Gothic One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Patrick Hand":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Patrick Hand SC":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Patua One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Paytone One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Peralta":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Permanent Marker":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Petit Formal Script":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Petrona":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Philosopher":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Piedra":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Pinyon Script":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Pirata One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Plaster":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Play":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Playball":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Playfair Display":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Playfair Display SC":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Podkova":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Poiret One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Poller One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Poly":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Pompiere":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Pontano Sans":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Port Lligat Sans":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Port Lligat Slab":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Prata":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Preahvihear":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Press Start 2P":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"}],"type":"google-font"},"Princess Sofia":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Prociono":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Prosto One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Puritan":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Purple Purse":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Quando":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Quantico":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Quattrocento":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Quattrocento Sans":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Questrial":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Quicksand":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Quintessential":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Qwigley":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Racing Sans One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Radley":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Raleway":{"variants":[{"id":"100","name":"Ultra-Light 100"},{"id":"200","name":"Light 200"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"},{"id":"800","name":"Extra-Bold 800"},{"id":"900","name":"Ultra-Bold 900"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Raleway Dots":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Rambla":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Rammetto One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Ranchers":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Rancho":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Rationale":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Redressed":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Reenie Beanie":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Revalia":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Ribeye":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Ribeye Marrow":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Righteous":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Risque":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Roboto":{"variants":[{"id":"100","name":"Ultra-Light 100"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"},{"id":"100italic","name":"Ultra-Light 100 Italic"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"500italic","name":"Medium 500 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Roboto Condensed":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Roboto Slab":{"variants":[{"id":"100","name":"Ultra-Light 100"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Rochester":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Rock Salt":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Rokkitt":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Romanesco":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Ropa Sans":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Rosario":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Rosarivo":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Rouge Script":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Ruda":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Rufina":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Ruge Boogie":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Ruluko":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Rum Raisin":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Ruslan Display":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Russo One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Ruthie":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Rye":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Sacramento":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Sail":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Salsa":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Sanchez":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Sancreek":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Sansita One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Sarina":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Satisfy":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Scada":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Schoolbell":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Seaweed Script":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Sevillana":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Seymour One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Shadows Into Light":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Shadows Into Light Two":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Shanti":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Share":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Share Tech":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Share Tech Mono":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Shojumaru":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Short Stack":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Siemreap":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Sigmar One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Signika":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Signika Negative":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Simonetta":{"variants":[{"id":"400","name":"Normal 400"},{"id":"900","name":"Ultra-Bold 900"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Sintony":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Sirin Stencil":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Six Caps":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Skranji":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Slackey":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Smokum":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Smythe":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Sniglet":{"variants":[{"id":"400","name":"Normal 400"},{"id":"800","name":"Extra-Bold 800"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Snippet":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Snowburst One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Sofadi One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Sofia":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Sonsie One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Sorts Mill Goudy":{"variants":[{"id":"400","name":"Normal 400"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Source Code Pro":{"variants":[{"id":"200","name":"Light 200"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Source Sans Pro":{"variants":[{"id":"200","name":"Light 200"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"},{"id":"200italic","name":"Light 200 Italic"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"600italic","name":"Semi-Bold 600 Italic"},{"id":"700italic","name":"Bold 700 Italic"},{"id":"900italic","name":"Ultra-Bold 900 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Special Elite":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Spicy Rice":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Spinnaker":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Spirax":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Squada One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Stalemate":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Stalinist One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Stardos Stencil":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Stint Ultra Condensed":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Stint Ultra Expanded":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Stoke":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Strait":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Sue Ellen Francisco":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Sunshiney":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Supermercado One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Suwannaphum":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Swanky and Moo Moo":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Syncopate":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Tangerine":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Taprom":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"khmer","name":"Khmer"}],"type":"google-font"},"Tauri":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Telex":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Tenor Sans":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Text Me One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"The Girl Next Door":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Tienne":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Tinos":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"},{"id":"vietnamese","name":"Vietnamese"}],"type":"google-font"},"Titan One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Titillium Web":{"variants":[{"id":"200","name":"Light 200"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"600","name":"Semi-Bold 600"},{"id":"700","name":"Bold 700"},{"id":"900","name":"Ultra-Bold 900"},{"id":"200italic","name":"Light 200 Italic"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"600italic","name":"Semi-Bold 600 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Trade Winds":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Trocchi":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Trochut":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Trykker":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Tulpen One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Ubuntu":{"variants":[{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"500","name":"Medium 500"},{"id":"700","name":"Bold 700"},{"id":"300italic","name":"Book 300 Italic"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"500italic","name":"Medium 500 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Ubuntu Condensed":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Ubuntu Mono":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"},{"id":"greek","name":"Greek"},{"id":"greek-ext","name":"Greek Extended"},{"id":"cyrillic-ext","name":"Cyrillic Extended"}],"type":"google-font"},"Ultra":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Uncial Antiqua":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Underdog":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Unica One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"UnifrakturCook":{"variants":[{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"UnifrakturMaguntia":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Unkempt":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Unlock":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Unna":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"VT323":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Vampiro One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Varela":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Varela Round":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Vast Shadow":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Vibur":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Vidaloka":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Viga":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Voces":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Volkhov":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Vollkorn":{"variants":[{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"},{"id":"400italic","name":"Normal 400 Italic"},{"id":"700italic","name":"Bold 700 Italic"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Voltaire":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Waiting for the Sunrise":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Wallpoet":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Walter Turncoat":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Warnes":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Wellfleet":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Wendy One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Wire One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Yanone Kaffeesatz":{"variants":[{"id":"200","name":"Light 200"},{"id":"300","name":"Book 300"},{"id":"400","name":"Normal 400"},{"id":"700","name":"Bold 700"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"}],"type":"google-font"},"Yellowtail":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Yeseva One":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin-ext","name":"Latin Extended"},{"id":"latin","name":"Latin"},{"id":"cyrillic","name":"Cyrillic"}],"type":"google-font"},"Yesteryear":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"},"Zeyada":{"variants":[{"id":"400","name":"Normal 400"}],"subsets":[{"id":"latin","name":"Latin"}],"type":"google-font"}}', true );

    }


    /**
     * Used for retrieving single font info
     *
     * @param   $font_name      string      Font name
     *
     * @return  bool
     */
    public static function get_font( $font_name ){

        $fonts =  self::get_all_fonts();

        if( isset( $fonts[$font_name] ) ){

            return $fonts[ $font_name ];

        }else{

            return false;

        }

    }


    /**
     * Generate and return Option elements of all font for select element
     *
     * @param   string      $active_font    Family name of selected font in options
     * @param   bool        $option_group   Add options into option group?
     *
     * @return string
     */
    public static function get_fonts_family_option_elements( $active_font = '', $option_group = true ){

        $output = '';

        if( $option_group )
            $output .= '<optgroup label="' . __( 'Google Fonts', 'better-studio' ) . '">';

        foreach( self::get_all_fonts() as $key => $font ){
            $output .= '<option value="'. $key .'"' . ( $key == $active_font ? 'selected' : '' ) . '>' .  $key . '</option>';
        }

        if( $option_group )
            $output .= '</optgroup>';

        return $output;

    }


    /**
     * Generate and return Option elements of font variants
     *
     * @param   $font               string|array        Font array or ID
     * @param   $font_variant       string              Active or selected variant
     *
     * @return  string
     */
    public static function get_font_variants_option_elements( $font, $font_variant ){

        $output = '';

        if( ! is_array( $font ) ){
            $font_info =  self::get_font( $font );
        }
        else{
            $font_info = $font;
        }

        foreach( $font_info['variants'] as $variant ){
            $output .= '<option value="'. $variant['id'] .'"' . ( $variant['id'] == $font_variant ? ' selected="selected" ' : '' ) . '>' .  $variant['name'] . '</option>';
        }

        return $output;

    }


    /**
     * Generate and return Option elements of font subsets
     *
     * @param   $font               string|array        Font array or ID
     * @param   $active_subset      string              Active or selected subset
     *
     * @return  string
     */
    public static function get_font_subset_option_elements( $font, $active_subset ){

        $output = '';

        if( ! is_array( $font ) ){
            $font_info =  self::get_font( $font );
        }
        else{
            $font_info = $font;
        }

        foreach( $font_info['subsets'] as $variant ){
            $output .= '<option value="'. $variant['id'] .'"' . ( $variant['id'] == $active_subset ? ' selected="selected" ' : '' ) . '>' .  $variant['name']  . '</option>';
        }

        return $output;

    }

}